#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_attrs, 0x5237a47f, "_gpl");
SYMBOL_CRC(ahci_sdev_attrs, 0x6a75fd1a, "_gpl");
SYMBOL_CRC(ahci_ops, 0x1798848e, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x56de6d5e, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x222fa27e, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x25657eee, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xc08c484b, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xb8fe79ae, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xbd479592, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x85abbeef, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x8b3a6b54, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x0747ceec, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0xa12a1c10, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0xa2225be5, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0xcad94e17, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x05ac7c2a, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x44116a0e, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xfb26ffb0, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x07735cb1, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x2ced7e62, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x58ae9212, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xddb83fd0, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x21d798de, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x78e313dc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x9550bb79, "ata_std_qc_defer" },
	{ 0xf255ee00, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xb220438f, "__dynamic_dev_dbg" },
	{ 0x9354aa3b, "ata_port_classify" },
	{ 0x51468dd6, "ata_qc_complete_multiple" },
	{ 0xb570792a, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xb8052066, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc170ae2c, "ata_host_start" },
	{ 0xb4288fac, "devm_request_threaded_irq" },
	{ 0x8b677a15, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x25d9a796, "ata_host_register" },
	{ 0xd32806d3, "ata_host_activate" },
	{ 0x1a8e3383, "_dev_warn" },
	{ 0x22e6f3b1, "ata_dummy_port_ops" },
	{ 0xab735d2a, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xa9eb7bd2, "devm_kmalloc" },
	{ 0x37a0698e, "dmam_alloc_attrs" },
	{ 0x91491348, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x710b9f3b, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x7d0fcc18, "sata_link_hardreset" },
	{ 0x96ff8244, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6c6f1317, "ata_ehi_clear_desc" },
	{ 0x7120ba86, "ata_ehi_push_desc" },
	{ 0x54c528ec, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x39e87674, "ata_port_abort" },
	{ 0xb11f00cf, "sata_lpm_ignore_phy_events" },
	{ 0xa5f160c, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x26119dfc, "param_ops_int" },
	{ 0xde927a03, "param_ops_bool" },
	{ 0xdcae89a8, "sata_pmp_port_ops" },
	{ 0x865bddf, "dev_attr_sw_activity" },
	{ 0xd88d70a7, "dev_attr_unload_heads" },
	{ 0xe6b1b8dd, "dev_attr_ncq_prio_supported" },
	{ 0xc7aa7bb5, "dev_attr_ncq_prio_enable" },
	{ 0xe47c9bda, "dev_attr_link_power_management_policy" },
	{ 0x1f89bc66, "dev_attr_em_message_type" },
	{ 0xf4318a60, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x84aa366f, "__pm_runtime_resume" },
	{ 0x1a532a6e, "__pm_runtime_idle" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x88b7c9f, "ata_link_next" },
	{ 0x8237387a, "ata_wait_register" },
	{ 0xcc3d9c94, "ata_dev_set_feature" },
	{ 0x99dccb3a, "_dev_info" },
	{ 0x47429270, "sata_link_scr_lpm" },
	{ 0x41b1337b, "ata_msleep" },
	{ 0xc3e192eb, "_dev_err" },
	{ 0x8cd8272a, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "8DB59F85651914E62049B39");
MODULE_INFO(rhelversion, "9.7");
