#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xe8f20de0, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0xc9a69dec, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xdde59f58, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x078f8aa3, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0xd76b1e8f, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x4f3ceb1b, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x4093d2d2, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0xbfa56d2e, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0xcaa85c54, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x85751eee, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0xa7a6b341, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x6de48ef3, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x4a15d170, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0x1a5e70d7, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x2527f891, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x80dd267d, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xbc466305, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x37cca6ea, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0xb892d427, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0xc8d28dcf, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x7130af57, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x8225e3f8, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x93b9b97c, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xe9574a45, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0x65e72859, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0xc152fc7d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0xaa01aca1, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0x426bf5e6, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0x362519b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66b4cc41, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x1919841f, "regmap_read" },
	{ 0x99dccb3a, "_dev_info" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb0d81706, "regmap_update_bits_base" },
	{ 0x9a706a57, "regmap_write" },
	{ 0x66987934, "regmap_multi_reg_write" },
	{ 0x6ec72b72, "regmap_bulk_read" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xdf5bbb8b, "devm_kasprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4b45b8c7, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa9eb7bd2, "devm_kmalloc" },
	{ 0x710b9f3b, "devm_kfree" },
	{ 0x30088e46, "seq_lseek" },
	{ 0xce4c86cb, "seq_read" },
	{ 0xbe277deb, "single_release" },
	{ 0x45fbc3a8, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x82be5e6, "debugfs_create_dir" },
	{ 0xe931a625, "debugfs_create_bool" },
	{ 0xa3c8eeff, "debugfs_create_x32" },
	{ 0x492837f8, "debugfs_create_file_full" },
	{ 0xe4fe1c83, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3e192eb, "_dev_err" },
	{ 0xfa6da03c, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb220438f, "__dynamic_dev_dbg" },
	{ 0x9c3d5d15, "regmap_raw_write" },
	{ 0x4806c6ec, "regmap_raw_read" },
	{ 0x1a8e3383, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "ADA90915DF3710A0C45C3EA");
MODULE_INFO(rhelversion, "9.7");
