#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x717ed0a6, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x19d73361, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x5831e06d, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xdac17b04, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xc0ed4f4a, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x053e0bba, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x14d048d1, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xada726fd, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xab74592e, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xe52c0b9d, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x57468c95, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x676646e4, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xb833a188, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x7626249d, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0xc1d804a1, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x2bf3e417, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xcbfaa24d, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x794656c4, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xf4607828, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x83649e14, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xb03e7505, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x36da4448, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x7394e753, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xe3e13bde, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x2f052626, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x5e638fe4, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x71c869db, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x50db4cbc, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x3abb292d, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xaa09f58e, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x11b84d7b, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x22d9b656, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xcbcadb37, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xf682888a, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x54735c3b, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xfe0e8567, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x49d9b66b, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xdf7ad2c6, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x4f42a8d2, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xa86981cb, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x00be1370, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x1926f2eb, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x97ab1c34, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x5977ee1a, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x40050059, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xa88e730b, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0xcc42d9e0, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xc317c1de, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0xfe674e2f, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x95d49335, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xf220070f, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x725687b8, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xce892ed5, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xc8eccfa3, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xc9623813, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x582b8784, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x6505131e, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xa8e10cee, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x56636286, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x203e984f, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xb28f916e, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x79b3091e, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xd83050f3, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x87578df7, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x4794d91e, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0xb826e3eb, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x28c7ce93, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x71bdc7a1, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xdac61d2d, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x09942622, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x89775931, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x15049d12, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x2f978a44, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x59a2d7fb, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xddd37116, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xe97ed282, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x12102ffe, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x88e5fc34, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x62d492b8, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x7cd2431d, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x6fa0865e, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xe3d71f6f, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x8661acbc, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xad6ef86c, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0xe98fa41e, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xbdf00ca6, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x8d890a05, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xe36efe5b, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xb397ef1c, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x3f81553d, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x37eb4bbf, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xd11c0fbd, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xf1e2a9dc, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xca669710, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x3fcc2818, "");
SYMBOL_CRC(drm_flip_work_queue, 0xaaefc5d7, "");
SYMBOL_CRC(drm_flip_work_commit, 0xf63c68e0, "");
SYMBOL_CRC(drm_flip_work_init, 0xe3e29bad, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x0647dac6, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x432d3360, "");
SYMBOL_CRC(drm_fb_swab, 0xfb33cdf4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x30e476ac, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0xa683cad9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xe91b5b73, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x372bfba6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xec3ebecb, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x4d6a296e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x49742101, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xaae795a9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xa97beee9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xf3514c9a, "");
SYMBOL_CRC(drm_fb_blit, 0x1fc979aa, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x5f83191a, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xeb05a9d1, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x9df0ff2c, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x3fc638dd, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x188a2b40, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0xb83fe452, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xe8914da0, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x7d890869, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x99aa1076, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x8fe52738, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0xf8de2bc6, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xe98f2e23, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x67412012, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xa05c10ea, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xcc7334e9, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xdfb8de19, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x2663e6eb, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xee89863e, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x9354d7ff, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x20d52e18, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xdbe44ccb, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x6aca8ccf, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x80b1a325, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xd52bae21, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x836b5a2d, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xc91fe8e2, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0xf77de21c, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xed867d9a, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x41cb1cab, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xa42f724b, "");
SYMBOL_CRC(drm_crtc_init, 0x2e52fe49, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x8c4195ee, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x80075845, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xe0d1ad72, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x94abbdad, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x8366085b, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x5888a4ef, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x8d6ef929, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xd20a53d3, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xf7ec0c4f, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xbd7b6ce0, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x37963d06, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x2950733c, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x9bd05aa2, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xbe6e0a95, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0x0f2b88ff, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x3274046c, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x5c02a850, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x81a6d617, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x8c9ee6ff, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x4206b96d, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x0690b71d, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0x7e797058, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x8eccc6b8, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x157d0f3e, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0xc36688cc, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x1b19cf2d, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x818d1200, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xbfaf62a4, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x76bccbaa, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x4a16c306, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xe792b9e9, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x2d6f8bb8, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x14e67a03, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x0b544ec4, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xec8d82e0, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x6d50b893, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xdcd2d7eb, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x62a48328, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x9ef3417d, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0xc4ba6589, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x49b4d293, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x33755108, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x77cfc068, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x76274f5f, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0xf75ee0fc, "");
SYMBOL_CRC(drm_fb_helper_init, 0x0ca83220, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x72599522, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x7a6af79f, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x5cc3d7ff, "");
SYMBOL_CRC(drm_fb_helper_fini, 0xd3db13df, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x3ce5af2d, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x8215fe86, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x8022b376, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x4664670f, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x7d418fb3, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xd815cb73, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x8ac66e1a, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x558d2c04, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xeed92bde, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x3296035c, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xb3b64135, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x3a8580b1, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x8ad2bf8e, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x549d88ea, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x544fe18f, "unregister_framebuffer" },
	{ 0xb2b6e5a3, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x8af2c7bd, "drm_framebuffer_cleanup" },
	{ 0x5190fd9, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xf2cdaaea, "drm_panel_get_modes" },
	{ 0xd7b123e3, "drm_gem_vmap_unlocked" },
	{ 0x15b78b3c, "try_module_get" },
	{ 0xa443bf7f, "drm_connector_list_update" },
	{ 0x2317beda, "drm_bridge_add" },
	{ 0x139efa10, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0xb52d13b1, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa9eb7bd2, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x619b5967, "drm_client_rotation" },
	{ 0x3b0cb0e9, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfc64c31b, "drm_framebuffer_init" },
	{ 0x24eed0c8, "drm_mode_validate_driver" },
	{ 0x47e4c815, "drm_atomic_add_affected_planes" },
	{ 0xa58df0cc, "dma_buf_end_cpu_access" },
	{ 0xea14cdc3, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8c75a28f, "drm_mode_probed_add" },
	{ 0x5a3ab9cd, "drm_atomic_add_affected_connectors" },
	{ 0xba3fbb11, "drm_gem_vunmap_unlocked" },
	{ 0x9a6c6e38, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x1d02269, "finish_wait" },
	{ 0x836ad7d7, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xb5d6e279, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x54fc308a, "drm_mode_object_get" },
	{ 0x6814750a, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x4ea3ce1b, "drm_driver_legacy_fb_format" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0x49bb6b53, "drm_crtc_cleanup" },
	{ 0xab22b447, "drm_connector_list_iter_begin" },
	{ 0xee848395, "drm_mode_set_config_internal" },
	{ 0x76ac86ad, "prepare_to_wait_event" },
	{ 0x67e361dc, "framebuffer_alloc" },
	{ 0xd1f4b3da, "drm_encoder_cleanup" },
	{ 0x24535ec, "drm_modeset_acquire_init" },
	{ 0x60b1b958, "dma_fence_set_deadline" },
	{ 0x2e413686, "drm_client_modeset_probe" },
	{ 0x963b05a6, "drm_warn_on_modeset_not_all_locked" },
	{ 0x67f1e2e5, "drm_plane_get_damage_clips" },
	{ 0xe4c00679, "devres_add" },
	{ 0xe4e60545, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8517a9df, "drm_add_modes_noedid" },
	{ 0xc3dba228, "drm_bridge_remove" },
	{ 0x81e07f6a, "drm_mode_object_put" },
	{ 0x91491348, "dev_driver_string" },
	{ 0x49aff9, "drm_crtc_vblank_get" },
	{ 0xf24bdc2d, "drm_gem_object_lookup" },
	{ 0x139a1205, "drm_crtc_send_vblank_event" },
	{ 0x52be6f93, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6deb6ddd, "drm_atomic_normalize_zpos" },
	{ 0x14db67b1, "drm_edid_connector_update" },
	{ 0x4dca33d, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xae0050f6, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d278bde, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x8ff61ea0, "drm_connector_list_iter_end" },
	{ 0x32652f8e, "drm_atomic_set_crtc_for_plane" },
	{ 0x1ddc415b, "drm_client_modeset_dpms" },
	{ 0x651cbcd1, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x222f76f6, "drm_client_dev_hotplug" },
	{ 0x99dccb3a, "_dev_info" },
	{ 0x88b0f9bc, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x7af132fd, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x2e27b164, "module_put" },
	{ 0xaf1e8efd, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xf582a9bc, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7ab05457, "drm_client_init" },
	{ 0x5f46ff21, "drm_crtc_wait_one_vblank" },
	{ 0x6657d51a, "drm_crtc_next_vblank_start" },
	{ 0x90ba2a31, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x594ef77b, "drm_modeset_lock" },
	{ 0x5c109be4, "drm_client_modeset_commit_locked" },
	{ 0x1e9b6763, "drm_modeset_unlock" },
	{ 0xe8afbe61, "drm_panel_disable" },
	{ 0xe1369d12, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc1206b75, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x710b9f3b, "devm_kfree" },
	{ 0xc3e192eb, "_dev_err" },
	{ 0xbd0b74ad, "drm_writeback_cleanup_job" },
	{ 0x1e785f15, "drm_modeset_lock_all_ctx" },
	{ 0x27c95795, "i2c_unregister_device" },
	{ 0xa7668e98, "drm_atomic_set_fb_for_plane" },
	{ 0x1b426c82, "__drm_universal_plane_alloc" },
	{ 0xa5e7df76, "drm_edid_connector_add_modes" },
	{ 0x9d59b161, "drm_probe_ddc" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x8026089f, "__devres_alloc_node" },
	{ 0x12f0c647, "drm_edid_read" },
	{ 0x245ab22d, "drm_crtc_commit_wait" },
	{ 0x685a24e9, "drm_dev_has_vblank" },
	{ 0x8ea642bd, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xefda1291, "__drm_atomic_helper_disable_plane" },
	{ 0xa3b79c72, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x876e446f, "drm_gem_handle_create" },
	{ 0x79a5775f, "drm_atomic_set_crtc_for_connector" },
	{ 0x8fe5327e, "drm_analog_tv_mode" },
	{ 0xd7ab0e37, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x6d5736e, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0936cfe, "drm_crtc_vblank_put" },
	{ 0x60bed228, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x626b16b2, "__drm_dev_dbg" },
	{ 0x370226e0, "drm_plane_get_damage_clips_count" },
	{ 0xf3a52a8f, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x17693006, "drm_atomic_state_alloc" },
	{ 0x1ec1893a, "drm_client_modeset_commit" },
	{ 0x1a8e3383, "_dev_warn" },
	{ 0xea855cdc, "drm_atomic_bridge_chain_post_disable" },
	{ 0xcda3ce1d, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0xad4c0cef, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xb8e44db1, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xe31de1fd, "drm_client_release" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x22119a40, "__drm_atomic_helper_set_config" },
	{ 0xe930976a, "mutex_trylock" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xf1b1b33, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x96c9760f, "drm_connector_cleanup" },
	{ 0xb56f409f, "drm_get_format_info" },
	{ 0xe6192c5b, "drm_universal_plane_init" },
	{ 0x592bc06d, "drm_any_plane_has_format" },
	{ 0x61392707, "drm_connector_list_iter_next" },
	{ 0xdddfa9f5, "drm_modeset_acquire_fini" },
	{ 0xc423f1fb, "drm_encoder_init" },
	{ 0x2919f1a, "drm_object_property_get_default_value" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xde927a03, "param_ops_bool" },
	{ 0x630875e4, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf644e46, "drm_modeset_backoff" },
	{ 0xb3158cb3, "drm_panel_prepare" },
	{ 0x2f695030, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xe723fee9, "drm_atomic_get_plane_state" },
	{ 0xa0e84821, "drm_atomic_bridge_chain_check" },
	{ 0x9b8da90a, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0x258c241e, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x9122b223, "drm_property_blob_put" },
	{ 0xfa159a7e, "drm_mode_destroy" },
	{ 0x8694b9b, "drm_bridge_attach" },
	{ 0xf829d44f, "drm_set_preferred_mode" },
	{ 0xe7acd1c4, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x1c3fd03f, "drm_atomic_state_clear" },
	{ 0x5350ee63, "drm_mode_config_reset" },
	{ 0xb936e7aa, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x3bb1420e, "drm_modeset_drop_locks" },
	{ 0x78669777, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xba3c8d02, "drm_atomic_bridge_chain_disable" },
	{ 0x4a783c02, "drm_mode_create_from_cmdline_mode" },
	{ 0xe8727aaa, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x26119dfc, "param_ops_int" },
	{ 0x2ce40300, "drm_atomic_nonblocking_commit" },
	{ 0x82be5e6, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x3cfda7d7, "drm_master_internal_release" },
	{ 0xbfaa8a2, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xfff9b97, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x107c300e, "drm_atomic_add_encoder_bridges" },
	{ 0xcea68433, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x45d67a1f, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "fb,drm");


MODULE_INFO(srcversion, "B7661952925E31DDED407A3");
MODULE_INFO(rhelversion, "9.7");
