#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xe_reg_sr_init, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_rtp_process_ctx_enable_active_tracking, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_rtp_process_to_sr, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_rtp_process, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_tuning_process_gt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_tuning_process_engine, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(xe_wa_process_gt, "", "EXPORTED_FOR_KUNIT_TESTING");

SYMBOL_CRC(xe_reg_sr_init, 0xc4a20706, "");
SYMBOL_CRC(xe_rtp_process_ctx_enable_active_tracking, 0x440201b3, "");
SYMBOL_CRC(xe_rtp_process_to_sr, 0x14f7c65c, "");
SYMBOL_CRC(xe_rtp_process, 0x7b2782f4, "");
SYMBOL_CRC(xe_tuning_process_gt, 0x632d6ad0, "");
SYMBOL_CRC(xe_tuning_process_engine, 0x07d8ae59, "");
SYMBOL_CRC(xe_wa_process_gt, 0xc33d0fac, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69e68e72, "ttm_lru_bulk_move_fini" },
	{ 0x1fd9fe86, "pci_disable_sriov" },
	{ 0xa4ee0aed, "ttm_bo_vm_dummy_page" },
	{ 0xace169b3, "drm_mode_is_420_also" },
	{ 0x392a838b, "drm_dp_downstream_max_dotclock" },
	{ 0x555ad77b, "xa_erase" },
	{ 0x5a985ece, "drm_dp_mst_topology_mgr_set_mst" },
	{ 0xa0f13d6f, "drm_atomic_state_init" },
	{ 0xa7668e98, "drm_atomic_set_fb_for_plane" },
	{ 0xf01c2e63, "drm_dp_remove_payload_part2" },
	{ 0xedcf81ce, "drm_dp_channel_eq_ok" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0xbd82bd11, "drm_dp_downstream_debug" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1e785f15, "drm_modeset_lock_all_ctx" },
	{ 0xf4607828, "drm_atomic_helper_setup_commit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x56bcebb2, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0xd815cb73, "drm_fb_helper_setcmap" },
	{ 0x11b84d7b, "drm_atomic_helper_update_plane" },
	{ 0xd8c34afd, "dma_resv_iter_first" },
	{ 0x999e8297, "vfree" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xabcf07eb, "drm_hdmi_avi_infoframe_colorimetry" },
	{ 0xf934871e, "drm_dp_mst_connector_late_register" },
	{ 0x8d278bde, "drm_crtc_vblank_reset" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x83649e14, "drm_atomic_helper_wait_for_dependencies" },
	{ 0xa5e7df76, "drm_edid_connector_add_modes" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xc518d486, "drm_edid_is_digital" },
	{ 0x64de0ff4, "drm_crtc_handle_vblank" },
	{ 0x745ebf84, "dma_resv_init" },
	{ 0xc9f6b57c, "__wake_up" },
	{ 0xa19ff7da, "drm_dp_remove_payload_part1" },
	{ 0x637660f7, "drm_mode_create_aspect_ratio_property" },
	{ 0xa461d995, "dma_resv_reserve_fences" },
	{ 0xd963ffaa, "drm_gem_dmabuf_vmap" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0xd12819ca, "drm_scdc_read" },
	{ 0x582b2216, "drm_gpuvm_prepare_objects" },
	{ 0x4609a165, "drm_suballoc_manager_fini" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x6d5736e, "drm_mode_duplicate" },
	{ 0x98fed39f, "drm_edid_raw" },
	{ 0x61b0ae6c, "drm_plane_create_rotation_property" },
	{ 0x9122b223, "drm_property_blob_put" },
	{ 0x52be6f93, "drm_connector_attach_encoder" },
	{ 0x7eb9c3ca, "ttm_resource_init" },
	{ 0xbae35d1b, "drm_connector_update_privacy_screen" },
	{ 0xe2cfdafc, "dma_resv_replace_fences" },
	{ 0x9df0ff2c, "drm_gem_plane_helper_prepare_fb" },
	{ 0x8826c13b, "acpi_video_register" },
	{ 0x2d4592cb, "is_acpi_device_node" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x9608e1c6, "__mmdrop" },
	{ 0xa549b2bb, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x5cc3d7ff, "drm_fb_helper_unregister_info" },
	{ 0x8ff9fc5b, "pci_dev_put" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x9ad98cc8, "dma_fence_signal_locked" },
	{ 0x811237d, "dma_fence_array_alloc" },
	{ 0xdbbba5c5, "drm_atomic_set_mode_for_crtc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xf1321521, "pci_read_config_word" },
	{ 0x5bd0722, "drm_crtc_from_index" },
	{ 0xff9bcf73, "kmem_cache_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3de94aea, "ww_mutex_unlock" },
	{ 0x3daf004e, "sysfs_create_group" },
	{ 0x291b4785, "pci_set_master" },
	{ 0x1a0e20cb, "drm_gem_dmabuf_mmap" },
	{ 0x4b2ce6ed, "drm_dp_set_subconnector_property" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x14d048d1, "drm_atomic_helper_update_legacy_modeset_state" },
	{ 0x15e2bc28, "drm_dp_mst_topology_mgr_destroy" },
	{ 0xc10e3a39, "drm_buddy_print" },
	{ 0xa7c6ebd8, "ttm_bo_vm_reserve" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xea14cdc3, "drm_modeset_unlock_all" },
	{ 0xce892ed5, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0x2fa94ef2, "drm_dp_downstream_444_to_420_conversion" },
	{ 0x428641ce, "acpi_dev_get_resources" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8cf3b62b, "__tracepoint_mmap_lock_released" },
	{ 0xb826e3eb, "drm_atomic_helper_connector_destroy_state" },
	{ 0x4c0dc5a, "pwm_put" },
	{ 0x1c20d95d, "drm_property_create_enum" },
	{ 0x5fafb06f, "__drm_printfn_dbg" },
	{ 0x504c682, "drm_dp_bw_channel_coding_efficiency" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x96848186, "scnprintf" },
	{ 0x4664670f, "drm_fb_helper_set_suspend" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xd9276d1c, "generic_file_llseek" },
	{ 0xc6cbbc89, "capable" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xd3db13df, "drm_fb_helper_fini" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4d5d13a9, "drm_sched_resume_timeout" },
	{ 0x35da68ad, "pci_disable_device" },
	{ 0x5aa913c, "bpf_trace_run6" },
	{ 0xc5dcbdac, "drm_gpuvm_resv_add_fence" },
	{ 0x95866a41, "kmem_cache_destroy" },
	{ 0xb07fc701, "bpf_trace_run5" },
	{ 0xf582a9bc, "drm_atomic_get_crtc_state" },
	{ 0xf0cea8a1, "vga_get" },
	{ 0x6f18f487, "ttm_bo_move_memcpy" },
	{ 0x5f46ff21, "drm_crtc_wait_one_vblank" },
	{ 0xc2a113a, "add_timer" },
	{ 0x3a06413b, "__put_task_struct" },
	{ 0x4c3e9654, "dma_fence_add_callback" },
	{ 0xd67b3f4e, "downgrade_write" },
	{ 0x6f4a59e4, "sort_r" },
	{ 0xed9b0cc2, "dma_fence_signal" },
	{ 0x8215fe86, "drm_fb_helper_damage_area" },
	{ 0x2d393f48, "intel_soc_pmic_exec_mipi_pmic_seq_element" },
	{ 0x5250414b, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x96196f77, "bpf_trace_run2" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3cea71e, "bpf_trace_run1" },
	{ 0x86f7e6a0, "dma_fence_remove_callback" },
	{ 0x7053fa72, "drm_dp_get_pcon_max_frl_bw" },
	{ 0xdb158169, "dma_resv_iter_next" },
	{ 0x594ef77b, "drm_modeset_lock" },
	{ 0x79cad6e4, "dma_map_sgtable" },
	{ 0xe50aef19, "bpf_trace_run3" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf6bed2f4, "bpf_trace_run4" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1264cccf, "drm_prime_gem_destroy" },
	{ 0x8d701329, "drm_dp_clock_recovery_ok" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xcdffc3bb, "ttm_bo_vm_open" },
	{ 0x82be5e6, "debugfs_create_dir" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc5e9ee3f, "component_add_typed" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x79c00fa2, "drm_edid_alloc" },
	{ 0x983508ff, "mipi_dsi_dcs_write_buffer" },
	{ 0x37963d06, "drm_kms_helper_connector_hotplug_event" },
	{ 0x93b5de5, "drm_dp_read_channel_eq_delay" },
	{ 0x5d9daa94, "trace_raw_output_prep" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7b46a0a8, "dma_fence_get_stub" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x24c1913e, "dma_resv_test_signaled" },
	{ 0xf4e2dcd9, "drm_dp_mst_atomic_setup_commit" },
	{ 0x8997e83a, "drm_gem_prime_export" },
	{ 0x9b95c885, "drm_mode_match" },
	{ 0x407b1d41, "fb_io_write" },
	{ 0xca0af098, "drm_crtc_vblank_on" },
	{ 0xf1ae84fe, "unregister_sysctl_table" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xad97f079, "drm_sched_entity_push_job" },
	{ 0x26815dbc, "drm_dp_link_rate_to_bw_code" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x77bc13a0, "strim" },
	{ 0xcde952c5, "drm_dp_mst_edid_read" },
	{ 0x758fb5f6, "drm_dp_mst_atomic_check_mgr" },
	{ 0xa88e730b, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xe4e60545, "dma_fence_wait_timeout" },
	{ 0x8556361d, "drm_dp_read_lttpr_phy_caps" },
	{ 0x93065dab, "dma_resv_iter_next_unlocked" },
	{ 0x582f248e, "drm_dp_get_adjust_request_pre_emphasis" },
	{ 0xa9eb7bd2, "devm_kmalloc" },
	{ 0x4486e40d, "backlight_device_get_by_name" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0xce6b5772, "drm_dp_mst_topology_state_funcs" },
	{ 0xfb578fc5, "memset" },
	{ 0x7162ce03, "idr_get_next" },
	{ 0x8322e822, "perf_trace_run_bpf_submit" },
	{ 0x1c4bba9, "drm_dp_lttpr_max_link_rate" },
	{ 0x55814239, "dma_buf_move_notify" },
	{ 0x985926, "dma_map_resource" },
	{ 0x1a8e3383, "_dev_warn" },
	{ 0x30d22e58, "drm_dp_pcon_frl_enable" },
	{ 0x99e500f7, "mmu_interval_notifier_insert" },
	{ 0xe4fe1c83, "single_open" },
	{ 0x24ada755, "drm_dsc_set_rc_buf_thresh" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2e671ad7, "drm_dp_pcon_frl_prepare" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8c56226f, "drm_crtc_vblank_restore" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x293ea0eb, "gpiod_set_value_cansleep" },
	{ 0xbf3faa9f, "idr_for_each" },
	{ 0xd73d12c7, "fwnode_handle_get" },
	{ 0xa8e10cee, "__drm_atomic_helper_connector_reset" },
	{ 0x26119dfc, "param_ops_int" },
	{ 0xa843606e, "drm_dp_dsc_sink_supported_input_bpcs" },
	{ 0x61aa49ef, "request_firmware" },
	{ 0xc5c99a79, "drm_dp_get_adjust_request_voltage" },
	{ 0x8bd8f64e, "drm_sched_init" },
	{ 0xd0795122, "down_read_interruptible" },
	{ 0xa4e6f781, "drm_plane_create_blend_mode_property" },
	{ 0xdfc0afb3, "hrtimer_init" },
	{ 0x32a799d5, "ttm_bo_init_reserved" },
	{ 0xc26803ab, "drm_plane_has_format" },
	{ 0x69b7c437, "drm_connector_attach_vrr_capable_property" },
	{ 0xf3a52a8f, "drm_atomic_commit" },
	{ 0x58b909f2, "drm_dp_downstream_max_tmds_clock" },
	{ 0x9f70b7fa, "prepare_to_wait" },
	{ 0xec462f36, "drm_lspcon_set_mode" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x49490fcf, "pci_read_config_dword" },
	{ 0xdb78fd88, "pci_pme_capable" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xb0e602eb, "memmove" },
	{ 0x687c2bf4, "pci_map_rom" },
	{ 0x63cf5e1e, "i2c_acpi_find_adapter_by_handle" },
	{ 0x66bf6ec2, "drm_sched_job_arm" },
	{ 0x2eb08bc2, "drm_mode_crtc_set_gamma_size" },
	{ 0xacc2765a, "ttm_bo_vm_access" },
	{ 0x885ca975, "drm_sched_job_init" },
	{ 0xa50b8a4f, "pci_pr3_present" },
	{ 0x18677d54, "xa_find" },
	{ 0xae6daebd, "drm_dp_mst_topology_queue_probe" },
	{ 0x2dc14193, "drm_dp_mst_root_conn_atomic_check" },
	{ 0x8feac652, "pci_bus_type" },
	{ 0x92fe3ebb, "trace_event_reg" },
	{ 0xe9a5e67f, "intel_graphics_stolen_res" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x91491348, "dev_driver_string" },
	{ 0x5dd3a93c, "drm_gem_mmap" },
	{ 0x492837f8, "debugfs_create_file_full" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0x2569cbdb, "ww_mutex_trylock" },
	{ 0x69faf111, "drm_modeset_lock_single_interruptible" },
	{ 0x58f2c2ce, "drm_mode_create_dp_colorspace_property" },
	{ 0x56d56a72, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe3e13bde, "drm_atomic_helper_prepare_planes" },
	{ 0xf866be0f, "drm_gem_object_release" },
	{ 0x7f9e6cb7, "pci_p2pdma_distance_many" },
	{ 0xf712e62d, "drm_open" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x291f2cef, "pci_read_config_byte" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb0647fac, "kunit_running" },
	{ 0xbaa61be1, "acpi_find_child_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x31688ddc, "dma_resv_wait_timeout" },
	{ 0x898fb86d, "sysfs_remove_files" },
	{ 0xc0963e70, "mempool_init" },
	{ 0xec540dac, "drm_dp_mst_get_port_malloc" },
	{ 0x5a290250, "hdmi_drm_infoframe_pack_only" },
	{ 0xeb772c2f, "up_read" },
	{ 0x9dd4733f, "drm_plane_add_size_hints_property" },
	{ 0xfc813630, "mempool_free" },
	{ 0xa70e21b4, "drm_scdc_set_scrambling" },
	{ 0x176834d1, "drm_sched_wqueue_stop" },
	{ 0xeefd207c, "ttm_tt_init" },
	{ 0x22d9b656, "drm_atomic_helper_disable_plane" },
	{ 0x5eeb9c67, "drm_crtc_vblank_off" },
	{ 0x333bfca1, "hdmi_infoframe_pack_only" },
	{ 0x5a3ab9cd, "drm_atomic_add_affected_connectors" },
	{ 0x5b0e98b5, "mipi_dsi_dcs_nop" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x4a72c051, "up_write" },
	{ 0xb0fc98a5, "drm_dp_add_payload_part2" },
	{ 0x122bf028, "drm_dp_cec_attach" },
	{ 0x561cfa4e, "drm_dp_add_payload_part1" },
	{ 0xbec562f4, "drm_edid_read_ddc" },
	{ 0xb9234c4d, "drm_dp_vsc_sdp_pack" },
	{ 0x821d7cbd, "pci_unmap_rom" },
	{ 0x73011db0, "drm_dp_bw_code_to_link_rate" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0xa97c9862, "ttm_resource_fini" },
	{ 0x3dc10f93, "drm_dp_dpcd_read_link_status" },
	{ 0x222be607, "drm_dp_mst_hpd_irq_handle_event" },
	{ 0x9e1785be, "drm_gpuva_unlink" },
	{ 0x2c4111e3, "ttm_bo_eviction_valuable" },
	{ 0x159810ef, "pci_alloc_irq_vectors" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf19b581c, "debugfs_lookup" },
	{ 0x843207c4, "drm_dev_put" },
	{ 0x1605d0ed, "drm_dp_lttpr_max_lane_count" },
	{ 0xcc100231, "sysfs_create_file_ns" },
	{ 0x95d49335, "__drm_atomic_helper_plane_state_reset" },
	{ 0xf991765b, "hdmi_infoframe_log" },
	{ 0xa42f724b, "drm_helper_mode_fill_fb_struct" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x658e2009, "drm_dp_pcon_hdmi_link_active" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x54fc308a, "drm_mode_object_get" },
	{ 0x626b16b2, "__drm_dev_dbg" },
	{ 0x67bf78cb, "drm_sched_entity_init" },
	{ 0x3296035c, "drm_fb_helper_pan_display" },
	{ 0xc1dcc8b4, "drm_dp_downstream_mode" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x8ff61ea0, "drm_connector_list_iter_end" },
	{ 0x4488028a, "__drm_printfn_info" },
	{ 0xfeb4cf84, "xa_destroy" },
	{ 0xb833a188, "drm_atomic_helper_wait_for_flip_done" },
	{ 0xc9623813, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x384b280d, "drm_mm_print" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc8cc8b9d, "drm_buddy_free_list" },
	{ 0x33abaed8, "cpu_latency_qos_remove_request" },
	{ 0x81e07f6a, "drm_mode_object_put" },
	{ 0x84d1e1fb, "drm_hdcp_check_ksvs_revoked" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x1ef9b4e4, "idr_remove" },
	{ 0xe909e079, "drm_crtc_arm_vblank_event" },
	{ 0xf644e46, "drm_modeset_backoff" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x4ff36550, "__tracepoint_mmap_lock_start_locking" },
	{ 0x321d1f02, "pci_sriov_get_totalvfs" },
	{ 0xd8cae0c, "pm_runtime_forbid" },
	{ 0x876e446f, "drm_gem_handle_create" },
	{ 0x5849ed26, "drm_buddy_init" },
	{ 0xd1f1119f, "drm_poll" },
	{ 0xdf7ad2c6, "drm_atomic_helper_commit_duplicated_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66edfc78, "_find_next_or_bit" },
	{ 0xa47826e4, "drm_dp_calc_pbn_mode" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x1908d26, "ttm_pool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4ae90d8e, "hdmi_avi_infoframe_check" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x50674de7, "drm_timeout_abs_to_jiffies" },
	{ 0x76274f5f, "drm_fb_helper_prepare" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xe1369d12, "drm_property_replace_blob" },
	{ 0x97154b2f, "drm_edp_backlight_enable" },
	{ 0xf9a5c114, "drm_atomic_get_new_mst_topology_state" },
	{ 0x25a6e086, "ttm_bo_validate" },
	{ 0x58d8fcaa, "drm_dsc_pps_payload_pack" },
	{ 0xb3be615d, "drm_dp_read_desc" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb2f44400, "drm_edid_print_product_id" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0xa72f41e7, "drm_dev_get" },
	{ 0xeb6857ef, "drm_sched_wqueue_start" },
	{ 0x65e6682e, "ttm_tt_fini" },
	{ 0x558d2c04, "drm_fb_helper_check_var" },
	{ 0xff8cc275, "ttm_resource_free" },
	{ 0x7e0d253, "drm_client_dev_unregister" },
	{ 0x7ab05457, "drm_client_init" },
	{ 0x384f8deb, "seq_putc" },
	{ 0xfa6da03c, "seq_printf" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x15044337, "i2c_add_adapter" },
	{ 0xf93e135, "drmm_kfree" },
	{ 0x22583698, "drm_syncobj_add_point" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xef65cab, "drm_dp_pcon_convert_rgb_to_ycbcr" },
	{ 0x8a415115, "kunit_hooks" },
	{ 0x41cb1cab, "drm_helper_move_panel_connectors_to_head" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x5bfd9f7e, "pci_get_class" },
	{ 0x9392095, "debugfs_create_file_unsafe" },
	{ 0xccf54d5e, "drm_dp_get_adjust_tx_ffe_preset" },
	{ 0x79008c7e, "drm_dsc_setup_rc_params" },
	{ 0x12709468, "ww_mutex_lock_interruptible" },
	{ 0x37a0cba, "kfree" },
	{ 0x2bae4bd0, "trace_event_raw_init" },
	{ 0x5630adaa, "drm_vblank_work_flush_all" },
	{ 0x41f9f61c, "put_device" },
	{ 0xda152426, "drm_dp_mst_atomic_wait_for_dependencies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x498d3470, "ttm_resource_manager_init" },
	{ 0x3a776abc, "drm_dp_mst_connector_early_unregister" },
	{ 0x296c7080, "ttm_bo_mem_space" },
	{ 0x84aa366f, "__pm_runtime_resume" },
	{ 0xc631580a, "console_unlock" },
	{ 0xc32129ec, "drm_vblank_work_schedule" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x46fe0a3, "drm_show_fdinfo" },
	{ 0x349cba85, "strchr" },
	{ 0x6c371953, "device_get_next_child_node" },
	{ 0xcbf516bc, "dma_fence_init" },
	{ 0x49b4d293, "drm_fb_helper_debug_leave" },
	{ 0xe31de1fd, "drm_client_release" },
	{ 0xe723fee9, "drm_atomic_get_plane_state" },
	{ 0x5d79a175, "drm_gpuva_find_first" },
	{ 0x7ff624d2, "drm_exec_cleanup" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xa86981cb, "drm_atomic_helper_page_flip" },
	{ 0x8494313c, "drm_dp_dual_mode_max_tmds_clock" },
	{ 0x3d8f70b2, "gpiod_set_value" },
	{ 0xe0326e61, "pci_d3cold_enable" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa9781f1c, "drm_connector_set_path_property" },
	{ 0x6d345129, "dma_resv_iter_first_unlocked" },
	{ 0x2b9e83cd, "register_sysctl" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x5d426c01, "kobject_init" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x51a893c2, "__drm_printfn_err" },
	{ 0x1d009ee6, "dma_fence_enable_sw_signaling" },
	{ 0x92df0770, "drm_sched_stop" },
	{ 0xc0c369dc, "mmput" },
	{ 0xfbdcfde8, "drm_dp_aux_register" },
	{ 0x29ad8e33, "x86_hyper_type" },
	{ 0xfc64c31b, "drm_framebuffer_init" },
	{ 0x3c3e450, "ww_mutex_lock" },
	{ 0xce8b5d40, "drm_color_lut_check" },
	{ 0x575c51af, "devm_ioremap_wc" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x3530b6f6, "pci_rebar_get_possible_sizes" },
	{ 0x8c75a28f, "drm_mode_probed_add" },
	{ 0xe111e3c4, "trace_event_buffer_commit" },
	{ 0x65f4d16b, "devm_gpiod_get_index" },
	{ 0xb902a068, "i2c_get_adapter" },
	{ 0xdb1edee6, "hdmi_infoframe_unpack" },
	{ 0x95bf149b, "__drm_printfn_coredump" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xe9e98d1a, "drm_sched_tdr_queue_imm" },
	{ 0x4efa94a9, "drm_exec_lock_obj" },
	{ 0x206c5e4b, "cec_fill_conn_info_from_drm" },
	{ 0x2b3cd06c, "drm_sched_job_cleanup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40d04664, "console_trylock" },
	{ 0xd5aa1ed9, "drm_connector_set_link_status_property" },
	{ 0xfaae07c8, "dma_buf_unmap_attachment" },
	{ 0xcf14b6bd, "mipi_dsi_picture_parameter_set" },
	{ 0x3abb292d, "drm_atomic_helper_cleanup_planes" },
	{ 0xf6b8a63, "drm_dp_max_dprx_data_rate" },
	{ 0x9e152935, "__drmm_mutex_release" },
	{ 0xf97fdc01, "drm_dp_pcon_pps_override_param" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0xee7b9ef8, "drm_buddy_alloc_blocks" },
	{ 0xb1b06c1a, "drm_connector_attach_scaling_mode_property" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xbfaa8a2, "drm_calc_timestamping_constants" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x96c9760f, "drm_connector_cleanup" },
	{ 0x8b0e3de8, "ttm_bo_move_accel_cleanup" },
	{ 0xf7ec0c4f, "drm_helper_probe_single_connector_modes" },
	{ 0x1b0a1fdc, "drm_dp_lttpr_voltage_swing_level_3_supported" },
	{ 0x312f0af6, "drm_connector_attach_max_bpc_property" },
	{ 0x8b539dae, "sysfs_create_files" },
	{ 0x75077dd2, "default_llseek" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x540dad32, "component_del" },
	{ 0x376a0b26, "drm_dp_read_clock_recovery_delay" },
	{ 0x910d4bf9, "i2c_del_adapter" },
	{ 0xb7ce7abc, "drm_gpuvm_init" },
	{ 0xfcd1819a, "hdmi_spd_infoframe_check" },
	{ 0x2d85de9c, "drm_connector_attach_content_type_property" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2f1fd318, "pci_msix_vec_count" },
	{ 0xcad8b1db, "dma_set_mask" },
	{ 0x2a9984cc, "drmm_kmalloc" },
	{ 0xe4242073, "drm_crtc_set_max_vblank_count" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x54735c3b, "drm_atomic_helper_shutdown" },
	{ 0xe09a1850, "ttm_resource_manager_usage" },
	{ 0xfe909ed7, "__get_task_comm" },
	{ 0xcb0edbda, "drm_crtc_vblank_helper_get_vblank_timestamp_internal" },
	{ 0x774caf29, "mipi_dsi_dcs_write" },
	{ 0xeb863901, "kthread_use_mm" },
	{ 0x1283867a, "drm_plane_create_alpha_property" },
	{ 0x9b053b02, "ttm_bo_put" },
	{ 0xc892150, "drm_dp_read_sink_count" },
	{ 0x58d56c6b, "drm_dp_dpcd_read_phy_link_status" },
	{ 0xa1ec1ca4, "down_read" },
	{ 0x1e8aa0ed, "cfb_copyarea" },
	{ 0x459a66f1, "device_link_remove" },
	{ 0xe5360b84, "drm_dp_pcon_dsc_max_slices" },
	{ 0x490245f6, "drm_dp_aux_init" },
	{ 0x2f052626, "drm_atomic_helper_unprepare_planes" },
	{ 0xd69af56c, "backlight_device_unregister" },
	{ 0x109b106, "drm_debugfs_create_files" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xed7389da, "drm_gpuvm_bo_unmap_ops_create" },
	{ 0xc8a8d4e8, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0x2067b624, "drm_dp_pcon_frl_configure_1" },
	{ 0xe894360e, "ttm_bo_vm_close" },
	{ 0x5407ae9e, "drm_dp_get_dual_mode_type_name" },
	{ 0x1f06793b, "drm_vblank_work_flush" },
	{ 0xc1206b75, "drm_connector_init" },
	{ 0xa09a30a9, "drm_plane_create_scaling_filter_property" },
	{ 0xb47a8a6d, "__devm_drm_dev_alloc" },
	{ 0xf0a5533c, "drm_dp_pcon_frl_configure_2" },
	{ 0x3c544aa9, "drm_sched_resubmit_jobs" },
	{ 0xf3ecf2a1, "kobject_create_and_add" },
	{ 0xd71e19bd, "i2c_bit_algo" },
	{ 0x2d7ce577, "drm_ioctl" },
	{ 0x9ee81cd7, "mipi_dsi_set_maximum_return_packet_size" },
	{ 0x829b6048, "drm_dp_dsc_sink_max_slice_count" },
	{ 0x592bc06d, "drm_any_plane_has_format" },
	{ 0x451ba72d, "param_ops_charp" },
	{ 0x3ef7558e, "drm_vblank_init" },
	{ 0xe930976a, "mutex_trylock" },
	{ 0xbbfe39bd, "ttm_bo_vunmap" },
	{ 0x759ba997, "trace_event_buffer_reserve" },
	{ 0x19d98813, "drm_atomic_state_default_release" },
	{ 0xe3bf2b50, "__xa_alloc_cyclic" },
	{ 0x30088e46, "seq_lseek" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x9135de5e, "__mmap_lock_do_trace_start_locking" },
	{ 0xda70ec5e, "dma_fence_array_init" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa2f701e9, "irq_work_queue" },
	{ 0x8e4b789d, "drm_dp_set_phy_test_pattern" },
	{ 0x35293377, "drm_suballoc_manager_init" },
	{ 0xce3b36e2, "dma_buf_dynamic_attach" },
	{ 0x713b64c2, "drm_connector_set_panel_orientation_with_quirk" },
	{ 0x107742a9, "drm_get_subpixel_order_name" },
	{ 0x450286c5, "ttm_bo_set_bulk_move" },
	{ 0x7f8839d6, "i2c_acpi_get_i2c_resource" },
	{ 0xaf267620, "drm_dp_lttpr_count" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5ab89416, "drm_dp_mst_topology_mgr_suspend" },
	{ 0xdb28b59a, "drm_crtc_create_scaling_filter_property" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc020c0c1, "drm_dp_pcon_dsc_max_slice_width" },
	{ 0x84ab426, "idr_find" },
	{ 0x99fd20aa, "drm_rect_clip_scaled" },
	{ 0x6844c6ac, "trace_output_call" },
	{ 0x147bb557, "drm_vblank_work_init" },
	{ 0x7c2c49ca, "drm_crtc_vblank_crtc" },
	{ 0xf013835a, "drm_dp_vsc_sdp_log" },
	{ 0x3a6a1206, "mmu_interval_read_begin" },
	{ 0xf75ee0fc, "drm_fb_helper_unprepare" },
	{ 0xc6f275ac, "vga_client_register" },
	{ 0xcea68433, "drm_atomic_get_connector_state" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0x63c51cf2, "drm_dp_read_mst_cap" },
	{ 0xf689ad25, "drm_dp_downstream_420_passthrough" },
	{ 0x9620e2dd, "mark_page_accessed" },
	{ 0x91fbfb2e, "drm_dp_mst_hpd_irq_send_new_request" },
	{ 0xaafb4500, "dma_fence_chain_walk" },
	{ 0x9bd05aa2, "drm_kms_helper_poll_init" },
	{ 0x34d3d07c, "drm_dp_pcon_hdmi_frl_link_error_count" },
	{ 0x1439ee12, "drm_dp_cec_unregister_connector" },
	{ 0xc9f4f448, "__drm_puts_coredump" },
	{ 0x190290d8, "vga_put" },
	{ 0x23daa989, "mipi_dsi_create_packet" },
	{ 0x4e982865, "__xa_alloc" },
	{ 0xa4b35ba3, "hrtimer_forward" },
	{ 0x2bcd0398, "pci_unregister_driver" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x717ed0a6, "drm_atomic_helper_check_modeset" },
	{ 0x8ac66e1a, "drm_fb_helper_ioctl" },
	{ 0xaae09c23, "param_ops_uint" },
	{ 0xc3da5cf2, "drm_gpuvm_bo_put" },
	{ 0xd36c7587, "hmm_range_fault" },
	{ 0xa89c7a93, "drm_gpuvm_put" },
	{ 0x6c847acf, "drm_dp_as_sdp_log" },
	{ 0xdddfa9f5, "drm_modeset_acquire_fini" },
	{ 0x50f195dc, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x92b9835e, "drm_dp_128b132b_cds_interlane_align_done" },
	{ 0x99947c3b, "drm_dp_atomic_find_time_slots" },
	{ 0x1497e32b, "backlight_device_register" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xc3e192eb, "_dev_err" },
	{ 0xd4c21f07, "irq_set_chip_and_handler_name" },
	{ 0x139a1205, "drm_crtc_send_vblank_event" },
	{ 0xf3d685af, "unmap_mapping_range" },
	{ 0xb3b64135, "drm_fb_helper_fill_info" },
	{ 0xe53574d3, "drm_dp_downstream_max_bpc" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x97ab1c34, "__drm_atomic_helper_crtc_state_reset" },
	{ 0xfa7a55f7, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0xd0ae2a68, "drm_dp_mst_dump_topology" },
	{ 0x12df08bc, "kthread_unuse_mm" },
	{ 0xc422582a, "ttm_tt_populate" },
	{ 0xe792db50, "drm_gem_dmabuf_release" },
	{ 0xbe871a63, "drm_lspcon_get_mode" },
	{ 0x3a3f0b1d, "mutex_lock_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xce4c86cb, "seq_read" },
	{ 0xab9459a7, "pci_save_state" },
	{ 0xc154f94e, "drm_dev_enter" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x65f9b965, "xa_load" },
	{ 0x9239affa, "__pm_runtime_set_status" },
	{ 0x5d855ca, "noop_llseek" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0xaf9aebcf, "add_wait_queue" },
	{ 0xbc479619, "cpu_latency_qos_request_active" },
	{ 0x235af91, "drm_dp_send_power_updown_phy" },
	{ 0xedce587b, "drm_dev_unplug" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xf6ba4fc7, "devm_release_action" },
	{ 0x1f031550, "__pci_register_driver" },
	{ 0x6347935, "drm_dp_mst_dsc_aux_for_port" },
	{ 0xa1fefe6a, "drm_dp_psr_setup_time" },
	{ 0x1f63f624, "drm_crtc_add_crc_entry" },
	{ 0x99dccb3a, "_dev_info" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x5d4bd63e, "dma_unmap_sg_attrs" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x27fb63d4, "pci_match_id" },
	{ 0x51f85d6d, "drm_mode_config_cleanup" },
	{ 0x18893adb, "fb_io_read" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5bd6fde9, "ttm_bo_kunmap" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xbfcd01b1, "down_write_killable" },
	{ 0x302168d4, "cfb_fillrect" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xd1f4b3da, "drm_encoder_cleanup" },
	{ 0x20156dcb, "drm_connector_attach_colorspace_property" },
	{ 0xf875cfd8, "drm_gpuvm_prefetch_ops_create" },
	{ 0x8d6ef929, "drm_kms_helper_poll_reschedule" },
	{ 0x5f81514b, "drm_gpuva_ops_free" },
	{ 0xde927a03, "param_ops_bool" },
	{ 0xd0899e7a, "__init_rwsem" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x3b247a86, "pci_d3cold_disable" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd20a53d3, "drm_helper_probe_detect" },
	{ 0x9d0fa38c, "debugfs_attr_read" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb936e7aa, "drm_property_create_blob" },
	{ 0xb192bc5, "drm_object_attach_property" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe68e3d5c, "drm_gem_prime_mmap" },
	{ 0x5c4b474a, "drm_dp_cec_unset_edid" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x9d10098c, "debugfs_create_str" },
	{ 0xd1ec723a, "drm_dp_dpcd_write" },
	{ 0x8d060a5b, "mempool_exit" },
	{ 0x3a8580b1, "drm_fb_helper_initial_config" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0xe9804218, "pci_ignore_hotplug" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xab22b447, "drm_connector_list_iter_begin" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x88dc2659, "drm_dp_dpcd_read" },
	{ 0x36da4448, "drm_atomic_helper_commit_hw_done" },
	{ 0xf24bdc2d, "drm_gem_object_lookup" },
	{ 0xda24731, "dma_unmap_resource" },
	{ 0xe7a9ecea, "drm_mode_is_420_only" },
	{ 0xd6569829, "handle_simple_irq" },
	{ 0xa85c8583, "drm_atomic_get_mst_payload_state" },
	{ 0x776b30c4, "pci_set_power_state" },
	{ 0x4c830073, "drm_plane_enable_fb_damage_clips" },
	{ 0xfeb6be8e, "drm_gpuvm_prepare_vm" },
	{ 0xc8b6a8ae, "drm_dp_128b132b_lane_channel_eq_done" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x1c139cc0, "drm_gpuvm_bo_obtain" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbad6d8d8, "simple_attr_write" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x261b01e7, "drm_suballoc_free" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x3acb1359, "drm_client_register" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1a5bf3ca, "drm_dsc_dp_rc_buffer_size" },
	{ 0x9d59b161, "drm_probe_ddc" },
	{ 0x258c241e, "drm_property_blob_get" },
	{ 0x2215da3a, "drm_connector_init_with_ddc" },
	{ 0x76ff6644, "drm_dp_lttpr_pre_emphasis_level_3_supported" },
	{ 0xe6192c5b, "drm_universal_plane_init" },
	{ 0xac91c6d6, "drm_crtc_enable_color_mgmt" },
	{ 0x9b8da90a, "dma_fence_chain_init" },
	{ 0xc998fa1d, "drm_dp_mst_topology_mgr_init" },
	{ 0x746a5f90, "drm_gem_dmabuf_vunmap" },
	{ 0xd83050f3, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0x2d50570f, "drm_rect_calc_hscale" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xb70e752d, "drm_atomic_state_default_clear" },
	{ 0xfd4092f8, "ttm_bo_pin" },
	{ 0x379564d9, "ttm_lru_bulk_move_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0302886, "pm_runtime_get_if_active" },
	{ 0xd824107a, "mipi_dsi_generic_write" },
	{ 0x47e4c815, "drm_atomic_add_affected_planes" },
	{ 0x1a532a6e, "__pm_runtime_idle" },
	{ 0x3bbeac2, "__acpi_video_get_backlight_type" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4c6deded, "drm_buddy_fini" },
	{ 0xd5a95eae, "drm_dp_128b132b_lane_symbol_locked" },
	{ 0x4390d659, "drm_dp_mst_topology_mgr_resume" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xc9bfcd95, "auxiliary_device_init" },
	{ 0x7394e753, "drm_atomic_helper_commit_cleanup_done" },
	{ 0x54b0ab91, "kmem_cache_create" },
	{ 0x2eb2a283, "drm_gpuvm_resv_object_alloc" },
	{ 0xa0ebd437, "hdmi_drm_infoframe_check" },
	{ 0x213e4bb2, "drm_edp_backlight_disable" },
	{ 0xf9b176c5, "pci_iounmap" },
	{ 0x72599522, "drm_fb_helper_alloc_info" },
	{ 0xd3b91a50, "drm_dp_aux_unregister" },
	{ 0x503e6645, "hrtimer_cancel" },
	{ 0x49d9b66b, "drm_atomic_helper_suspend" },
	{ 0x8bc69a8f, "drm_dp_dpcd_probe" },
	{ 0x50b581ba, "pci_iomap" },
	{ 0xb23e4e1d, "drm_buddy_block_trim" },
	{ 0x91fec1cc, "drm_rect_calc_vscale" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x82539b72, "cpu_latency_qos_update_request" },
	{ 0x4e9f945d, "cfb_imageblit" },
	{ 0x49bb6b53, "drm_crtc_cleanup" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x274612d8, "xa_find_after" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0xa6eaccf5, "ttm_bo_kmap" },
	{ 0x809c8657, "dma_fence_array_create" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x581184d, "drm_atomic_get_old_mst_topology_state" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0x17693006, "drm_atomic_state_alloc" },
	{ 0xc1a9906a, "remap_pfn_range" },
	{ 0x944f5066, "drm_dp_get_phy_test_pattern" },
	{ 0xcb2340b8, "drm_rect_debug_print" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x3dc887bf, "drm_dp_bw_overhead" },
	{ 0xb5e68870, "idr_destroy" },
	{ 0x39fe388a, "pm_runtime_get_if_in_use" },
	{ 0x5b0b95e6, "pci_write_config_byte" },
	{ 0x6eb6e2f5, "ttm_bo_vmap" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfd16d609, "drm_dp_mst_put_port_malloc" },
	{ 0x5888a4ef, "drm_kms_helper_poll_enable" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x275f3d49, "hdmi_vendor_infoframe_check" },
	{ 0xfe175af0, "drm_connector_attach_dp_subconnector_property" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1e9b6763, "drm_modeset_unlock" },
	{ 0xae583b56, "device_del" },
	{ 0x1000e51, "schedule" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x469220d7, "drm_dp_dual_mode_set_tmds_output" },
	{ 0xe61a4ad8, "device_link_add" },
	{ 0x12c4a3ad, "dma_max_mapping_size" },
	{ 0xff79d49f, "drm_crtc_accurate_vblank_count" },
	{ 0xeb5027eb, "trace_event_printf" },
	{ 0xfc47a60f, "drm_dp_atomic_release_time_slots" },
	{ 0x24535ec, "drm_modeset_acquire_init" },
	{ 0xadbeed61, "mipi_dsi_packet_format_is_long" },
	{ 0x2b5d3dd5, "sysfs_remove_group" },
	{ 0x1bceca09, "mmu_interval_notifier_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x1c3fd03f, "drm_atomic_state_clear" },
	{ 0x305201c9, "down_write" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xeb13b66e, "drm_dsc_dump_config" },
	{ 0x4fc0f77e, "seq_puts" },
	{ 0x34171288, "drm_gpuvm_bo_evict" },
	{ 0x88eb7d6b, "pci_restore_state" },
	{ 0xe931a625, "debugfs_create_bool" },
	{ 0x2754dad8, "drm_mm_reserve_node" },
	{ 0xae0050f6, "__drmm_add_action_or_reset" },
	{ 0x1057a279, "bsearch" },
	{ 0xaa09f58e, "drm_atomic_helper_swap_state" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0xa820bea1, "drm_gpuvm_sm_unmap_ops_create" },
	{ 0x6b68108c, "drm_gpuva_link" },
	{ 0xd660dc5f, "kmem_cache_alloc" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x67d2d8ad, "kobject_add" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x35db2c8b, "pci_enable_sriov" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x7a45377b, "acpi_video_unregister" },
	{ 0xeec128ce, "__irq_alloc_descs" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfe12bcb9, "drm_dsc_compute_rc_parameters" },
	{ 0x96170fc2, "simple_attr_open" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x362463f6, "pci_enable_device" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x59f27ed7, "drm_dp_pcon_enc_is_dsc_1_2" },
	{ 0x219035fe, "event_triggers_call" },
	{ 0x27c1cd5f, "drm_dp_cec_register_connector" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x33755108, "drm_fb_helper_restore_fbdev_mode_unlocked" },
	{ 0xe6be48c1, "drm_exec_init" },
	{ 0xdea77ef4, "remove_wait_queue" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xd709b731, "__task_pid_nr_ns" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe5e52be8, "mempool_alloc" },
	{ 0xfb1a7a5a, "drm_dp_downstream_rgb_to_ycbcr_conversion" },
	{ 0xec2a2667, "idr_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x76c6a0c7, "pci_resize_resource" },
	{ 0xbca35270, "drm_plane_create_color_properties" },
	{ 0xa88913d9, "mipi_dsi_compression_mode" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50a42db, "drm_dp_dual_mode_detect" },
	{ 0x8f6e1f16, "proc_dointvec_minmax" },
	{ 0x51415b02, "drm_hdcp_update_content_protection" },
	{ 0x1c30f36e, "drm_dp_mst_detect_port" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb9f69211, "drm_dp_mst_aux_for_parent" },
	{ 0xf31c071c, "drm_gem_ttm_mmap" },
	{ 0x84549400, "simple_attr_release" },
	{ 0xb2bd6f5f, "drm_gpuva_remove" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x69353664, "__drm_debug" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3727bfa5, "dma_resv_add_fence" },
	{ 0x9a7abe48, "drm_dp_read_dpcd_caps" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0xc423f1fb, "drm_encoder_init" },
	{ 0x9e7bb18f, "drm_atomic_get_mst_topology_state" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x9c96c66f, "__pm_runtime_use_autosuspend" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5407beef, "ttm_device_init" },
	{ 0x4dd8bc97, "drm_dp_downstream_min_tmds_clock" },
	{ 0xea880d95, "drm_sched_job_add_resv_dependencies" },
	{ 0xa93b57be, "dma_set_coherent_mask" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xd39ad024, "__mmap_lock_do_trace_released" },
	{ 0xddaf5709, "debugfs_attr_write" },
	{ 0x648d953b, "drm_dsc_dp_pps_header_init" },
	{ 0xe4d30287, "pci_write_config_dword" },
	{ 0xb29fb3bb, "drm_dp_pcon_is_frl_ready" },
	{ 0xbd15f964, "ttm_device_fini" },
	{ 0xf7b4da1c, "drm_gpuvm_exec_lock" },
	{ 0x45fbc3a8, "simple_open" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc8ba43d5, "pci_write_config_word" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x14db67b1, "drm_edid_connector_update" },
	{ 0x7e02973c, "drm_dp_check_act_status" },
	{ 0x77cfc068, "drm_fb_helper_blank" },
	{ 0xbe965add, "drm_gpuvm_sm_map_ops_create" },
	{ 0x6e30ba8e, "drm_rect_rotate_inv" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xeed92bde, "drm_fb_helper_set_par" },
	{ 0xf25c0622, "drm_gpuva_insert" },
	{ 0x4aac22c8, "drm_edp_backlight_init" },
	{ 0x8c9ad47b, "mipi_dsi_attach" },
	{ 0xab5b1ed5, "drm_gem_ttm_dumb_map_offset" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x7d0cde14, "drm_plane_create_zpos_immutable_property" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x8ad2bf8e, "drm_fb_helper_hotplug_event" },
	{ 0xa1dbf4a, "drm_sched_job_add_dependency" },
	{ 0x10b50548, "ttm_bo_unpin" },
	{ 0xff8d22d9, "drm_framebuffer_remove" },
	{ 0x8a22151c, "pci_iomap_range" },
	{ 0xf82252cd, "sg_alloc_table_from_pages_segment" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x41aa5f06, "__init_waitqueue_head" },
	{ 0x35ab1c3, "ttm_bo_vm_fault_reserved" },
	{ 0x523cbf5f, "drm_connector_attach_content_protection_property" },
	{ 0x81188c30, "match_string" },
	{ 0x8bfd8913, "drm_dp_mst_update_slots" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0xed4e59cc, "drm_scdc_set_high_tmds_clock_ratio" },
	{ 0x61392707, "drm_connector_list_iter_next" },
	{ 0xe98fa41e, "drm_atomic_helper_damage_merged" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5b12d611, "pci_release_resource" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe9fc3970, "drm_dev_register" },
	{ 0x8f3359bf, "drm_prime_pages_to_sg" },
	{ 0x3ab3a36d, "ttm_pool_free" },
	{ 0xc92ef4f2, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x3bb1420e, "drm_modeset_drop_locks" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4015d5a4, "pci_assign_unassigned_bus_resources" },
	{ 0x9a3cf23b, "drm_gem_private_object_init" },
	{ 0x5a86f411, "drm_dp_phy_name" },
	{ 0x4a572bd4, "drm_dp_mst_port_downstream_of_parent" },
	{ 0x56a663e9, "drm_dp_dsc_sink_line_buf_depth" },
	{ 0xfae37d99, "drm_dp_get_vc_payload_bw" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8af2c7bd, "drm_framebuffer_cleanup" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x14c67858, "pm_runtime_set_autosuspend_delay" },
	{ 0xcbcadb37, "drm_atomic_helper_set_config" },
	{ 0xc4ba220a, "drm_dp_read_downstream_info" },
	{ 0xd01a1b07, "drm_dp_read_sink_count_cap" },
	{ 0xdc334469, "pci_sriov_set_totalvfs" },
	{ 0xd8ab1844, "drm_plane_from_index" },
	{ 0x84abc655, "pcim_enable_device" },
	{ 0x5eee617e, "drm_dp_cec_irq" },
	{ 0x76ac86ad, "prepare_to_wait_event" },
	{ 0x88b0f9bc, "dma_resv_get_singleton" },
	{ 0x75c1a8a2, "anon_inode_getfd" },
	{ 0xf0936cfe, "drm_crtc_vblank_put" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x81abf0b3, "dev_coredumpm_timeout" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x963cef12, "drm_suballoc_dump_debug_info" },
	{ 0xb3e31b8c, "drm_edp_backlight_set_level" },
	{ 0xca83220, "drm_fb_helper_init" },
	{ 0x7ff04300, "__auxiliary_device_add" },
	{ 0x48a91171, "string_get_size" },
	{ 0xbab48718, "drm_mode_object_find" },
	{ 0xc317c1de, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xe7f6eabd, "drm_sched_fini" },
	{ 0xd6f00bb4, "__devm_add_action" },
	{ 0x28e50e4c, "ttm_lru_bulk_move_init" },
	{ 0xf48bbedf, "drm_dp_dsc_sink_bpp_incr" },
	{ 0x4d924f20, "memremap" },
	{ 0x38d55d21, "drm_edid_get_product_id" },
	{ 0x9321e8a1, "drmm_mode_config_init" },
	{ 0xdc3b97b8, "drm_dp_pcon_hdmi_link_mode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xaef2591, "ttm_resource_manager_create_debugfs" },
	{ 0xfa159a7e, "drm_mode_destroy" },
	{ 0xd7ab0e37, "drm_crtc_init_with_planes" },
	{ 0xfe2b3e53, "drm_sched_entity_fini" },
	{ 0x8e835f9b, "drm_read" },
	{ 0x4603c416, "drm_dp_pcon_dsc_bpp_incr" },
	{ 0xc63fc496, "ttm_bo_move_to_lru_tail" },
	{ 0xdd6799b4, "sysfs_remove_file_ns" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6e18e149, "_dev_notice" },
	{ 0x2950733c, "drm_kms_helper_poll_disable" },
	{ 0xefb48eff, "seq_write" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xaa33d406, "dma_buf_map_attachment" },
	{ 0x2b77c5a9, "__xa_erase" },
	{ 0x9bfc9dc7, "drm_print_memory_stats" },
	{ 0x97de009d, "drm_gpuvm_validate" },
	{ 0x35193358, "drm_gpuvm_bo_extobj_add" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xeba4081e, "trace_event_ignore_this_pid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x901b373, "get_pid_task" },
	{ 0x7af132fd, "drm_plane_cleanup" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0xfa1132d0, "pm_runtime_allow" },
	{ 0x754d539c, "strlen" },
	{ 0x454fe4c0, "pci_bus_resource_n" },
	{ 0x696337aa, "i2c_transfer" },
	{ 0x6a4df8c5, "drm_dp_128b132b_eq_interlane_align_done" },
	{ 0x2663e6eb, "drm_gem_fb_get_obj" },
	{ 0x95626dc1, "drm_hdmi_avi_infoframe_content_type" },
	{ 0x836ad7d7, "drm_modeset_lock_all" },
	{ 0xa1251bf4, "drm_dp_128b132b_read_aux_rd_interval" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xddbcff2e, "set_page_dirty_lock" },
	{ 0x6aacee47, "drm_dp_128b132b_link_training_failed" },
	{ 0xf8987466, "drm_dp_read_lttpr_common_caps" },
	{ 0x4b375e3f, "drm_syncobj_replace_fence" },
	{ 0x9e193ada, "drm_exec_fini" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x30ac3aee, "kobject_put" },
	{ 0x50296d81, "dev_coredump_put" },
	{ 0x5d3c2ba9, "drm_connector_set_vrr_capable_property" },
	{ 0xd9e2b04d, "drm_crtc_vblank_waitqueue" },
	{ 0x1abd4849, "pci_irq_vector" },
	{ 0x2b1db45c, "drm_syncobj_find" },
	{ 0xb9478d90, "hdmi_drm_infoframe_unpack_only" },
	{ 0x520f0ff, "pci_num_vf" },
	{ 0xe5ec8953, "simple_attr_read" },
	{ 0xbe277deb, "single_release" },
	{ 0xc6e2570c, "cpu_latency_qos_add_request" },
	{ 0x49aff9, "drm_crtc_vblank_get" },
	{ 0x341f14d4, "drm_suballoc_new" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x3ce5af2d, "drm_fb_helper_damage_range" },
	{ 0x74e361b7, "ttm_resource_manager_evict_all" },
	{ 0xedc03953, "iounmap" },
	{ 0x5041395a, "drm_hdmi_infoframe_set_hdr_metadata" },
	{ 0x5350ee63, "drm_mode_config_reset" },
	{ 0x1d02269, "finish_wait" },
	{ 0x37041fd0, "drm_av_sync_delay" },
	{ 0x6e63a893, "devm_hwmon_device_register_with_info" },
	{ 0xbe6e0a95, "drm_kms_helper_poll_fini" },
	{ 0xf1b47340, "i2c_put_adapter" },
	{ 0x4925085d, "drm_puts" },
	{ 0xbd7b6ce0, "drm_kms_helper_hotplug_event" },
	{ 0x5f83783c, "drm_mode_create_hdmi_colorspace_property" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc4ba6589, "drm_fb_helper_debug_enter" },
	{ 0x4b121bcd, "drm_release_noglobal" },
	{ 0x69b33a64, "drm_dp_as_sdp_supported" },
	{ 0x99a565f7, "hrtimer_start_range_ns" },
	{ 0x7d26457b, "xa_store" },
	{ 0x3dcec87, "kobj_sysfs_ops" },
	{ 0xf831a7f6, "dma_fence_chain_find_seqno" },
	{ 0x7b75bde, "dma_fence_chain_ops" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8325389, "mipi_dsi_dcs_read" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_display_helper,drm_kms_helper,drm_gpuvm,drm_suballoc_helper,video,drm_buddy,gpu-sched,fb_io_fops,drm_exec,cec,cfbcopyarea,i2c-algo-bit,cfbfillrect,cfbimgblt,drm_ttm_helper");

MODULE_ALIAS("pci:v00008086d00009A60sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A68sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A70sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A40sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A49sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A59sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A78sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AC0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AC9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AD9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AF8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C80sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C90sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C9Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004680sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004682sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004688sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000468Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000468Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004690sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004692sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004693sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046AAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000462Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004626sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004628sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A721sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7ACsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7ADsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A720sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7AAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7ABsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A780sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A781sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A782sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A783sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A788sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A789sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A78Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A78Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004905sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004906sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004907sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004908sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004909sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D41sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D51sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D67sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007DD1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000B640sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005690sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005691sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005692sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BEsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BFsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005693sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005694sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005695sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BBsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BCsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056BDsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005696sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005697sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D40sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D45sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D55sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D60sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007DD5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00006420sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000064A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000064B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E202sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E20Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E20Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E20Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000E212sv*sd*bc03sc*i*");

MODULE_INFO(srcversion, "FAD91D99951C0F3824B8107");
MODULE_INFO(rhelversion, "9.7");
