#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0xb5275114, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x2e6528ef, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0xe298fabc, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0xe384c10a, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0xadc613a9, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0x205a743a, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0xee0e5345, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0xa1707f42, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0x73763a60, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0x211443b0, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0x72151c84, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0x31c35166, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0xe461d306, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0xbc6d1e3d, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x6900ddc4, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x3f62f22d, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0x573ab2ee, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0x2b1ca03b, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0xcceb1521, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0xeba5d1b6, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0x0523c91b, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x32cafb9d, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x7c3b8468, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13cb5e52, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x2ce1fcae, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd0899e7a, "__init_rwsem" },
	{ 0xdfb67f59, "misc_deregister" },
	{ 0xccd991ae, "iommu_device_claim_dma_owner" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83d13d69, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7cfdf230, "iommu_group_get" },
	{ 0x28f5ff17, "pin_user_pages_remote" },
	{ 0xdf7f5d57, "iommu_iova_to_phys" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x1d02269, "finish_wait" },
	{ 0xa2a7564e, "memfd_pin_folios" },
	{ 0x5250414b, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x3a22fbb3, "fget" },
	{ 0x3a06413b, "__put_task_struct" },
	{ 0xb4e2efdf, "__xas_next" },
	{ 0xaa819726, "xas_find" },
	{ 0x7670e4d3, "iommu_dev_disable_feature" },
	{ 0xa7e38c4a, "unpin_user_pages" },
	{ 0xedfc0be8, "fd_install" },
	{ 0x88123fd6, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9774f07f, "unpin_user_page_range_dirty_lock" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0xf464f886, "__account_locked_vm" },
	{ 0x76ac86ad, "prepare_to_wait_event" },
	{ 0x56d56a72, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xc9f6b57c, "__wake_up" },
	{ 0xb4b054b, "get_device" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xb5b1b15f, "unpin_folios" },
	{ 0x8cf3b62b, "__tracepoint_mmap_lock_released" },
	{ 0x5ccd8d3c, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xeb863901, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x258ae5f0, "iommu_detach_group_handle" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x60b63c0a, "iommu_detach_group" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x41f9f61c, "put_device" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x88a21c9a, "iommu_dev_enable_feature" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4e982865, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x6b19e865, "fput" },
	{ 0x305201c9, "down_write" },
	{ 0xeb0ef45d, "iommu_domain_free" },
	{ 0x4a72c051, "up_write" },
	{ 0x4c451fc, "iommu_get_msi_cookie" },
	{ 0xe69122a6, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x31c30bc0, "iommu_unmap" },
	{ 0x65f9b965, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x53e09138, "xas_load" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x63466b4a, "iommu_attach_handle_get" },
	{ 0x69d63d78, "iommu_replace_group_handle" },
	{ 0x9cb34594, "iommu_device_release_dma_owner" },
	{ 0xeac2a527, "folio_add_pins" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb578fc5, "memset" },
	{ 0x1a8e3383, "_dev_warn" },
	{ 0x421a49e9, "misc_register" },
	{ 0xdef669c2, "unpin_user_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6466e91a, "iommu_paging_domain_alloc_flags" },
	{ 0x41aa5f06, "__init_waitqueue_head" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x5aa58fe, "iommu_put_resv_regions" },
	{ 0xdcac977a, "_iommufd_object_alloc" },
	{ 0xa1ec1ca4, "down_read" },
	{ 0x9608e1c6, "__mmdrop" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xb56d84fa, "__xa_cmpxchg" },
	{ 0x5cb04954, "nonseekable_open" },
	{ 0x555ad77b, "xa_erase" },
	{ 0x9135de5e, "__mmap_lock_do_trace_start_locking" },
	{ 0x1beac844, "iommu_get_resv_regions" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x980e3027, "pci_pri_supported" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc0c369dc, "mmput" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xde927a03, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xfeb4cf84, "xa_destroy" },
	{ 0x18677d54, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0x4ff36550, "__tracepoint_mmap_lock_start_locking" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd39ad024, "__mmap_lock_do_trace_released" },
	{ 0x7d26457b, "xa_store" },
	{ 0xddbcff2e, "set_page_dirty_lock" },
	{ 0x864ce4d2, "device_iommu_capable" },
	{ 0xa815fdc7, "xas_nomem" },
	{ 0x7989be0a, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x12df08bc, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x199d581, "iommu_attach_group_handle" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x274612d8, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xdfce8e57, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0xeb772c2f, "up_read" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8feac652, "pci_bus_type" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A4DA0A524E72CDD5769EE0B");
MODULE_INFO(rhelversion, "9.7");
