#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xf3daa92d, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x6c135bbe, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x775863bb, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x1910d875, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5c61528, "netif_stacked_transfer_operstate" },
	{ 0x398664c8, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xededae8, "unregister_netdevice_queue" },
	{ 0xd2913197, "netdev_upper_dev_unlink" },
	{ 0xa116515, "__dev_get_by_index" },
	{ 0x52060e67, "register_netdevice" },
	{ 0x1d51ffc1, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x59e1dbdb, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe115d051, "dev_uc_sync" },
	{ 0xb2062cdc, "dev_mc_sync" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0xe862bcd6, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x37529574, "skb_clone" },
	{ 0xc932ef38, "__dev_forward_skb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6334829c, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x41632463, "__dev_queue_xmit" },
	{ 0xab88fdab, "dev_forward_skb" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x588820c4, "__netif_rx" },
	{ 0x34960d98, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe66daef2, "netdev_core_stats_inc" },
	{ 0xf3c19bd7, "passthru_features_check" },
	{ 0x61005663, "eth_validate_addr" },
	{ 0xa32de78f, "ndo_dflt_fdb_dump" },
	{ 0xda8e6037, "ethtool_op_get_link" },
	{ 0xd8fd3979, "eth_header_parse" },
	{ 0x7a7196fe, "eth_header_cache" },
	{ 0xe6c8f72c, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x940c43f4, "ether_setup" },
	{ 0xfc680fff, "__ethtool_get_link_ksettings" },
	{ 0x137b9daa, "ethtool_get_ts_info_by_layer" },
	{ 0xed961e5a, "init_net" },
	{ 0x826dc15a, "generic_hwtstamp_set_lower" },
	{ 0x9c4aeea2, "generic_hwtstamp_get_lower" },
	{ 0xe53ee206, "dev_mc_del" },
	{ 0x76640e67, "dev_uc_del" },
	{ 0x5f686ccf, "dev_mc_add_excl" },
	{ 0x5cd4be0d, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x8381c24a, "vlan_vid_del" },
	{ 0x7acd043a, "vlan_vid_add" },
	{ 0x3c2f0a83, "dev_set_allmulti" },
	{ 0x3cde2c87, "dev_set_promiscuity" },
	{ 0xa5441953, "dev_uc_unsync" },
	{ 0x9f621271, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9e85c6ab, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8bd081f5, "sk_skb_reason_drop" },
	{ 0xda63129, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x23bbb4c9, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb183d35b, "rtnl_link_unregister" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xc5570f68, "netdev_is_rx_handler_busy" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xc79c603b, "netdev_rx_handler_register" },
	{ 0xa3fcedc4, "dev_uc_add" },
	{ 0xe222f341, "call_netdevice_notifiers" },
	{ 0x15c6b10f, "netif_inherit_tso_max" },
	{ 0xbb9c2b86, "netdev_update_features" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BF40D7B4562138811E93981");
MODULE_INFO(rhelversion, "9.7");
