#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xa9fb93cb, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x29c3d6db, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x301f1a73, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x09f284be, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xbea4120c, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xffbf001c, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x5b786c5a, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xbfae5b7f, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x45b0071c, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xb205352a, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x499a7737, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x648d7a16, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xc3db39f3, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0xdc89f6e6, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x2f5d5a80, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xc88a4bd2, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x72c8ded6, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0xfb7ae345, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x0ce2430d, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x8291aeaf, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x988341c2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x810717bc, "mdiobus_write" },
	{ 0x191e3994, "mdiobus_read" },
	{ 0x35dfc64, "phy_write_mmd" },
	{ 0x153b555e, "phy_modify" },
	{ 0x3e352c2e, "phy_trigger_machine" },
	{ 0xdd43e57f, "phy_error" },
	{ 0xabd3d786, "phy_modify_changed" },
	{ 0x680d5776, "genphy_update_link" },
	{ 0x5052b13a, "genphy_read_lpa" },
	{ 0xd3315ce, "phy_resolve_aneg_pause" },
	{ 0xf77c72a6, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc3e192eb, "_dev_err" },
	{ 0x8405ba08, "phy_read_mmd" },
	{ 0x5c886b2f, "ethnl_cable_test_result_with_src" },
	{ 0x3c074731, "ethnl_cable_test_fault_length_with_src" },
	{ 0x9648b624, "phy_modify_mmd" },
	{ 0x934587d8, "genphy_soft_reset" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.7");
