#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x32a29043, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xa18212e1, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x8bf45526, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x6bcfeab4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x2c78c5be, "__skb_checksum_complete" },
	{ 0xfe6cf075, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x755e14c, "skb_copy_bits" },
	{ 0xa2ef0c0a, "__nlmsg_put" },
	{ 0xe5f46564, "netdev_adjacent_change_commit" },
	{ 0xb6cd2b76, "eth_mac_addr" },
	{ 0xe1f37ec9, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x338f004c, "ip6_dst_hoplimit" },
	{ 0xb3d97236, "param_ops_ushort" },
	{ 0x6334829c, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0xae3e775a, "udp_sock_create4" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x1ce6c6d6, "udp_tunnel6_xmit_skb" },
	{ 0x23bbb4c9, "rtnl_link_register" },
	{ 0xfcca2ee2, "__unregister_nexthop_notifier" },
	{ 0x15c6b10f, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0x61005663, "eth_validate_addr" },
	{ 0x3bbed0f4, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe778649f, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc1ba43e4, "rtnl_create_link" },
	{ 0xededae8, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x93141ba6, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x940c43f4, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc2ce67c1, "udp_tunnel_drop_rx_port" },
	{ 0x11554fbd, "pskb_expand_head" },
	{ 0x1d51ffc1, "netdev_upper_dev_link" },
	{ 0x1a88c2fe, "register_pernet_subsys" },
	{ 0x9e74d073, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x1dc3d0c1, "__alloc_skb" },
	{ 0x46b23fb5, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe4346139, "eth_gro_complete" },
	{ 0x27a104cc, "rtnl_set_sk_err" },
	{ 0x798a732f, "eth_gro_receive" },
	{ 0x15e6b608, "rtnl_configure_link" },
	{ 0x6a69ddd4, "skb_tunnel_check_pmtu" },
	{ 0xda6e7890, "udp_tunnel_dst_lookup" },
	{ 0x2d5e7420, "rtnl_unicast" },
	{ 0x525df676, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x81105b92, "__skb_get_hash_net" },
	{ 0x45268479, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa116515, "__dev_get_by_index" },
	{ 0xb183d35b, "rtnl_link_unregister" },
	{ 0x4bd9a1d6, "ipv6_stub" },
	{ 0x496eb445, "skb_pull" },
	{ 0xfdc69d41, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8bd081f5, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xc99bf78, "dev_get_by_index_rcu" },
	{ 0x608c5d19, "gro_cells_receive" },
	{ 0xa5ecd804, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xd2913197, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x8f7934ea, "free_netdev" },
	{ 0xb4df066e, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xef57ef89, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc94af5d4, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xda8e6037, "ethtool_op_get_link" },
	{ 0x54820658, "nexthop_find_by_id" },
	{ 0x4b761866, "arp_create" },
	{ 0xfc680fff, "__ethtool_get_link_ksettings" },
	{ 0x3fdf83aa, "netdev_adjacent_change_prepare" },
	{ 0x9fabfcca, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xda7b41b8, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf42d3271, "rhashtable_free_and_destroy" },
	{ 0x441c5851, "rht_bucket_nested_insert" },
	{ 0x5287458e, "netdev_adjacent_change_abort" },
	{ 0x383c448f, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6f17230b, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x496b2d9c, "__iptunnel_pull_header" },
	{ 0xb035adc0, "__pskb_pull_tail" },
	{ 0x77f4a231, "dev_get_tstats64" },
	{ 0xe862bcd6, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x12e308ca, "rhashtable_destroy" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xa3f5784c, "setup_udp_tunnel_sock" },
	{ 0x13e1fb03, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1a680da8, "skb_trim" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x22d7bb4e, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x354be5dd, "skb_scrub_packet" },
	{ 0xc0deea9d, "nexthop_select_path" },
	{ 0x7d4b6caf, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x84c49127, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc513c6aa, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xde927a03, "param_ops_bool" },
	{ 0xcb567a15, "udp_tun_rx_dst" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xcd9be32a, "rtnl_notify" },
	{ 0xe04c0e22, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x588820c4, "__netif_rx" },
	{ 0x37529574, "skb_clone" },
	{ 0x8dd4511d, "metadata_dst_alloc" },
	{ 0x7e84d80e, "dst_release" },
	{ 0x8515b5d5, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x6a14b94a, "udp_tunnel_notify_del_rx_port" },
	{ 0xb350e6d6, "register_nexthop_notifier" },
	{ 0x859f03a7, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x8da82ba9, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe66daef2, "netdev_core_stats_inc" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0xab8fe379, "netdev_info" },
	{ 0x7b942f92, "neigh_lookup" },
	{ 0xe9b565ea, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x52060e67, "register_netdevice" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "34DF4D76332F1111DCE8989");
MODULE_INFO(rhelversion, "9.7");
