#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x13f989ab, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xa7e172aa, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xb45da557, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x9be052c9, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x1f387ee4, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x6987f8a5, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x68746b33, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x1731ec1c, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xb3878222, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xa53bad30, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x5e756d7d, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xb8135c24, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xb4438a1d, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xd6a14888, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xec23ddb0, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xaa11ccb4, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x168c2f2f, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xdf6560d9, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x54c2cbf2, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x0ee23e4a, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xd7b84013, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xf24be44e, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xefbe968c, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x06b51451, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x7af94654, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x1b1e2762, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x477f511c, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x3c5067c6, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xce6bb3af, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x59050797, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xd28a18aa, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x78e75db9, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xbccf218c, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x04471c39, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x2721364f, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xb28888c3, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x20acc99e, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x016df1bb, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xbac0c6ae, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x5aecc9ac, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xd8305773, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x641dee6b, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x5b114aea, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xcb112bc8, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x29bc7e59, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x5b5e1eba, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xd4de86e9, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x7cdddfd6, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x596d14ba, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x9da83148, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x58562b6b, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x39f3388f, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x82c390be, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xebcf5802, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xe585d955, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0xcdcaefcf, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x32793b3c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x17363bf5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xad7ef16d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec3042e1, "set_capacity_and_notify" },
	{ 0x73bcf1bb, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x14f99ad9, "set_disk_ro" },
	{ 0x5d319de7, "__blk_alloc_disk" },
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0x15b78b3c, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xfd9471cb, "blk_rq_integrity_map_user" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5bef39af, "ida_destroy" },
	{ 0x50d1bbac, "device_remove_file_self" },
	{ 0xaae09c23, "param_ops_uint" },
	{ 0x957449da, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ad51069, "dev_set_name" },
	{ 0x9a041a8f, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x126bf0de, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x4728dc75, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5d9daa94, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xf7656c17, "blk_mq_tagset_wait_completed_request" },
	{ 0x495787f9, "cdev_device_del" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x1d02269, "finish_wait" },
	{ 0x49d3dde7, "queue_limits_stack_bdev" },
	{ 0xeb5027eb, "trace_event_printf" },
	{ 0x57601c1b, "device_initialize" },
	{ 0x12009bf8, "blk_mq_unquiesce_queue" },
	{ 0xc43e8c84, "blk_mq_quiesce_queue" },
	{ 0x2bae4bd0, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x96196f77, "bpf_trace_run2" },
	{ 0x76ac86ad, "prepare_to_wait_event" },
	{ 0xc34bb393, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x219035fe, "event_triggers_call" },
	{ 0xc9f6b57c, "__wake_up" },
	{ 0x24a76e94, "synchronize_srcu" },
	{ 0x6a518598, "param_ops_byte" },
	{ 0xb4b054b, "get_device" },
	{ 0x29c26d6f, "blk_mq_end_request" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe65eb981, "__blk_mq_alloc_disk" },
	{ 0xb220438f, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8cf76e8, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x63661d6f, "blk_mq_alloc_tag_set" },
	{ 0xff3ccd95, "blk_rq_is_poll" },
	{ 0xe111e3c4, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8b75e121, "put_disk" },
	{ 0xd79c7edb, "cdev_device_add" },
	{ 0x5a384007, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x65e551cb, "blk_execute_rq" },
	{ 0x41f9f61c, "put_device" },
	{ 0xeba4081e, "trace_event_ignore_this_pid" },
	{ 0x8af149ae, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xc1454209, "kmalloc_node_trace" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x76e1f9b1, "blk_mq_free_request" },
	{ 0x13489f93, "__free_pages" },
	{ 0x99dccb3a, "_dev_info" },
	{ 0x98b30329, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2e27b164, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8be61e9, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x24b55068, "sysfs_remove_link_from_group" },
	{ 0x765d626b, "blk_rq_poll" },
	{ 0x8aa82cad, "blk_mq_quiesce_tagset" },
	{ 0xe382fd9b, "kobject_uevent_env" },
	{ 0x2e0a5d62, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8e047102, "init_srcu_struct" },
	{ 0x8322e822, "perf_trace_run_bpf_submit" },
	{ 0xeb73c82e, "__SCK__tp_func_block_bio_remap" },
	{ 0xc3e192eb, "_dev_err" },
	{ 0x5c39d961, "blk_revalidate_disk_zones" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf7fe5cea, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x44b57509, "blk_rq_map_user_io" },
	{ 0xf2ea4ca1, "sysfs_remove_link" },
	{ 0x2cd2b6bc, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xfb9c4940, "__srcu_read_lock" },
	{ 0xc5cf9f41, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0x2beabd3e, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xe2cf2379, "submit_bio_noacct" },
	{ 0x65f9b965, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x3e3b024c, "blk_sync_queue" },
	{ 0xa061c7c, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x9c8af93d, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x92fe3ebb, "trace_event_reg" },
	{ 0x939c1943, "blk_mq_alloc_request_hctx" },
	{ 0x7337b10d, "blk_mq_alloc_request" },
	{ 0x8c86081b, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7a93c77, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x6a29fcee, "blk_mq_free_tag_set" },
	{ 0x36a14ce6, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf75722af, "cleanup_srcu_struct" },
	{ 0x8a4ac2aa, "blk_freeze_queue_start_non_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x10f662a, "blk_set_stacking_limits" },
	{ 0xad8364f7, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xbd348f5, "blk_put_queue" },
	{ 0x3cea71e, "bpf_trace_run1" },
	{ 0xae583b56, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x1a8e3383, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xfce23af, "__alloc_pages" },
	{ 0xff8e7a13, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x41aa5f06, "__init_waitqueue_head" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xefa4b625, "blk_rq_unmap_user" },
	{ 0xbdd6ff6d, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x28100b77, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x555ad77b, "xa_erase" },
	{ 0xe50aef19, "bpf_trace_run3" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa2bff570, "blk_mq_complete_request" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x759ba997, "trace_event_buffer_reserve" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xde927a03, "param_ops_bool" },
	{ 0xa03402ca, "blk_mq_destroy_queue" },
	{ 0xfeb4cf84, "xa_destroy" },
	{ 0x89a8252f, "blk_freeze_queue_start" },
	{ 0x328e4cd7, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x18677d54, "xa_find" },
	{ 0xb93852f1, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe134d57c, "__tracepoint_block_bio_complete" },
	{ 0x7d26457b, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xe84c4ffd, "__srcu_read_unlock" },
	{ 0xe089f8eb, "sysfs_add_link_to_group" },
	{ 0x74c55c4d, "__tracepoint_block_bio_remap" },
	{ 0x383e4a13, "blk_mq_tagset_busy_iter" },
	{ 0x6ee2b87, "queue_limits_commit_update" },
	{ 0x274612d8, "xa_find_after" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0xeb11a7f0, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x663517ba, "blk_mq_freeze_queue_nomemsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe06999d0, "blk_mq_freeze_queue_wait" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5482fdba, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xec4be106, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2c1f070f, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x23f43ae, "bdev_end_io_acct" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0xd3deb62b, "blk_steal_bios" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C05CABCB0F33E4DFC39288B");
MODULE_INFO(rhelversion, "9.7");
