#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x14d71b60, "");
SYMBOL_CRC(sas_remove_host, 0x80bbeece, "");
SYMBOL_CRC(sas_get_address, 0x39960299, "");
SYMBOL_CRC(sas_tlr_supported, 0x1fcda6ad, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xffd2e9d4, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x04e3c2a9, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xbb09fd0f, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x9067a945, "");
SYMBOL_CRC(sas_phy_add, 0xa3344384, "");
SYMBOL_CRC(sas_phy_free, 0x25cfec3a, "");
SYMBOL_CRC(sas_phy_delete, 0x4a957aa2, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xf51f295d, "");
SYMBOL_CRC(sas_port_alloc, 0x392fe80d, "");
SYMBOL_CRC(sas_port_alloc_num, 0xf52b7995, "");
SYMBOL_CRC(sas_port_add, 0x519aea9b, "");
SYMBOL_CRC(sas_port_free, 0x96bc346a, "");
SYMBOL_CRC(sas_port_delete, 0xf624652b, "");
SYMBOL_CRC(scsi_is_sas_port, 0x346b8751, "");
SYMBOL_CRC(sas_port_get_phy, 0xc10e5c74, "");
SYMBOL_CRC(sas_port_add_phy, 0xbcb1fd91, "");
SYMBOL_CRC(sas_port_delete_phy, 0x4e4d0417, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x2753a63b, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x3b9d2218, "");
SYMBOL_CRC(sas_end_device_alloc, 0xcc931970, "");
SYMBOL_CRC(sas_expander_alloc, 0x385eec7f, "");
SYMBOL_CRC(sas_rphy_add, 0xf23af3b7, "");
SYMBOL_CRC(sas_rphy_free, 0x2a1c0ee9, "");
SYMBOL_CRC(sas_rphy_delete, 0xeac9d92a, "");
SYMBOL_CRC(sas_rphy_unlink, 0x1257afca, "");
SYMBOL_CRC(sas_rphy_remove, 0xc1872767, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x6f182564, "");
SYMBOL_CRC(sas_attach_transport, 0xe5727c4b, "");
SYMBOL_CRC(sas_release_transport, 0x877a04c0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68f0cc01, "attribute_container_register" },
	{ 0xf2ea4ca1, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf4185e13, "_dev_printk" },
	{ 0xc8862956, "scsi_get_vpd_page" },
	{ 0x688d0a19, "scsi_mode_sense" },
	{ 0xdbbbd464, "attribute_container_unregister" },
	{ 0xb4852a37, "scsi_remove_host" },
	{ 0x22a438cd, "bsg_remove_queue" },
	{ 0xf47dc255, "scsi_remove_target" },
	{ 0xa59ca73a, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1a8e3383, "_dev_warn" },
	{ 0xde822eff, "bsg_job_done" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xec85db72, "dma_opt_mapping_size" },
	{ 0x57601c1b, "device_initialize" },
	{ 0x6ad51069, "dev_set_name" },
	{ 0x9123fc1b, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9a40cae1, "device_for_each_child" },
	{ 0x41f9f61c, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xf7fe5cea, "device_add" },
	{ 0xd30a9257, "transport_add_device" },
	{ 0x25606bcc, "transport_configure_device" },
	{ 0xae583b56, "device_del" },
	{ 0xc33402f8, "transport_destroy_device" },
	{ 0x8be28c6a, "transport_remove_device" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xb4b054b, "get_device" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x8be61e9, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x25254d0c, "scsi_scan_target" },
	{ 0x1f1585b9, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x2f2b8c23, "transport_class_register" },
	{ 0x2bfcebaf, "transport_class_unregister" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "176C35C46ED21A5F600B01B");
MODULE_INFO(rhelversion, "9.7");
