#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(is_clock_scaling_supported_by_slave, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_slave_get_scale_index, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_lane_mapping, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x7be32e10, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0xd788fcb1, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x10d4eeab, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x9cb418e9, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x9b6152f5, "");
SYMBOL_CRC(sdw_show_ping_status, 0x67e9e3ea, "");
SYMBOL_CRC(sdw_nread_no_pm, 0xcbd2f1a9, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x03ec1590, "");
SYMBOL_CRC(sdw_write_no_pm, 0xf031b325, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x610803de, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xa015b330, "");
SYMBOL_CRC(sdw_read_no_pm, 0x75b93734, "");
SYMBOL_CRC(sdw_update_no_pm, 0x59e3dcc9, "");
SYMBOL_CRC(sdw_update, 0xd8dafde4, "");
SYMBOL_CRC(sdw_nread, 0xf48e404d, "");
SYMBOL_CRC(sdw_nwrite, 0x4ae8e832, "");
SYMBOL_CRC(sdw_read, 0x7ca83c3e, "");
SYMBOL_CRC(sdw_write, 0x1dd07796, "");
SYMBOL_CRC(sdw_compare_devid, 0x4ac31472, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x6c143741, "");
SYMBOL_CRC(is_clock_scaling_supported_by_slave, 0x949e64e4, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x4dd4cdcf, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x43da3a7a, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0xeb88db4a, "");
SYMBOL_CRC(sdw_slave_get_scale_index, 0xd560092a, "");
SYMBOL_CRC(sdw_handle_slave_status, 0xa13a3a65, "");
SYMBOL_CRC(sdw_clear_slave_status, 0xabb085ca, "");
SYMBOL_CRC(sdw_slave_add, 0x1af97353, "");
SYMBOL_CRC(sdw_master_read_prop, 0xcd26766b, "");
SYMBOL_CRC(sdw_slave_read_lane_mapping, 0xb46d88fa, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x08f23a08, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0xcf4d01b6, "");
SYMBOL_CRC(sdw_enable_stream, 0x62705df3, "");
SYMBOL_CRC(sdw_disable_stream, 0x9542f962, "");
SYMBOL_CRC(sdw_deprepare_stream, 0xa8156c84, "");
SYMBOL_CRC(sdw_alloc_stream, 0xcff67581, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0x03c7bfd4, "");
SYMBOL_CRC(sdw_stream_add_master, 0x94e18078, "");
SYMBOL_CRC(sdw_stream_remove_master, 0xe91b03d3, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x8b4d298b, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x05d8ea40, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9d10098c, "debugfs_create_str" },
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0x145eadc9, "devm_device_add_groups" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2d4592cb, "is_acpi_device_node" },
	{ 0x96170fc2, "simple_attr_open" },
	{ 0xddaf5709, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa9eb7bd2, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6ad51069, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x75b70204, "device_unregister" },
	{ 0x14c67858, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x261e116e, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x61aa49ef, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x30088e46, "seq_lseek" },
	{ 0xe8d4acb9, "dev_pm_domain_attach" },
	{ 0x3b0c4d61, "devm_device_add_group" },
	{ 0x9a40cae1, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb220438f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe3a5da3d, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9239affa, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x41f9f61c, "put_device" },
	{ 0xa7c5ba59, "pm_runtime_enable" },
	{ 0x3db06062, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd6a6dc02, "fwnode_property_read_u32_array" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xe2ac1058, "dev_pm_domain_detach" },
	{ 0xa3af11e2, "pm_generic_runtime_suspend" },
	{ 0x9d0fa38c, "debugfs_attr_read" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x724afd2b, "bus_unregister" },
	{ 0xc3e192eb, "_dev_err" },
	{ 0x84549400, "simple_attr_release" },
	{ 0x871fedaa, "device_property_read_string" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x4b45b8c7, "debugfs_remove" },
	{ 0x8c86081b, "ida_free" },
	{ 0x2977ec2f, "driver_unregister" },
	{ 0x90d7d96c, "__dev_fwnode_const" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x29ffb0c8, "device_register" },
	{ 0xe607cd4c, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x1a8e3383, "_dev_warn" },
	{ 0x940cae38, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xdf5bbb8b, "devm_kasprintf" },
	{ 0xce4c86cb, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa52a4828, "fwnode_property_present" },
	{ 0x84aa366f, "__pm_runtime_resume" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x39299a6d, "device_get_named_child_node" },
	{ 0xfa6da03c, "seq_printf" },
	{ 0x9a7dbe19, "irq_create_mapping_affinity" },
	{ 0x492837f8, "debugfs_create_file_full" },
	{ 0xbe277deb, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x36a9ad8e, "acpi_dev_for_each_child" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x3ca897dc, "__pm_runtime_suspend" },
	{ 0xd6f00bb4, "__devm_add_action" },
	{ 0x70928c94, "irq_set_chip" },
	{ 0x754d539c, "strlen" },
	{ 0x9c96c66f, "__pm_runtime_use_autosuspend" },
	{ 0xe4fe1c83, "single_open" },
	{ 0x6706590d, "__pm_runtime_disable" },
	{ 0x82be5e6, "debugfs_create_dir" },
	{ 0xdb37626b, "fwnode_property_read_u8_array" },
	{ 0x662b9840, "driver_register" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x1a532a6e, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x5903664d, "bus_register" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8818D33949A4E46F3DEB157");
MODULE_INFO(rhelversion, "9.7");
