#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0xffb7c23c, "");
SYMBOL_CRC(__vdpa_alloc_device, 0x88767c55, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0xc5e5454b, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x91342e46, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x05ecf122, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0xcba7501a, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0x4c456d49, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0xb6803153, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0x3a517958, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x12e68dee, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0xec6a3f39, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0xdb8543f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41f9f61c, "put_device" },
	{ 0x75b70204, "device_unregister" },
	{ 0x662b9840, "driver_register" },
	{ 0x2977ec2f, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x45288aad, "bus_for_each_dev" },
	{ 0xa1ec1ca4, "down_read" },
	{ 0xeb772c2f, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x73048f96, "genl_unregister_family" },
	{ 0x724afd2b, "bus_unregister" },
	{ 0x5bef39af, "ida_destroy" },
	{ 0x5903664d, "bus_register" },
	{ 0x1f90570e, "genl_register_family" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xcad8b1db, "dma_set_mask" },
	{ 0xa93b57be, "dma_set_coherent_mask" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0x6ad51069, "dev_set_name" },
	{ 0xd0899e7a, "__init_rwsem" },
	{ 0x57601c1b, "device_initialize" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1b75926a, "netlink_capable" },
	{ 0x1dc3d0c1, "__alloc_skb" },
	{ 0x9e735802, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0x8bd081f5, "sk_skb_reason_drop" },
	{ 0xb7ce7300, "netlink_unicast" },
	{ 0x1a680da8, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x305201c9, "down_write" },
	{ 0x4a72c051, "up_write" },
	{ 0x8c86081b, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x223d505a, "driver_set_override" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x81b4051d, "bus_find_device" },
	{ 0xf7fe5cea, "device_add" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6E1ABFDEECC213CA239F01");
MODULE_INFO(rhelversion, "9.7");
