#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0xae3e775a, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0xa3f5784c, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0xef57ef89, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0xc2ce67c1, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x46b23fb5, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x6a14b94a, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0xe04c0e22, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x383c448f, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xcb567a15, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0xda6e7890, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x83558fbc, "dst_cache_set_ip4" },
	{ 0xfa3a279d, "kernel_bind" },
	{ 0xe9d7e940, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xd182370a, "netdev_warn" },
	{ 0x8443874, "udp_tunnel_nic_ops" },
	{ 0xd6033f39, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4bd9a1d6, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x92c6bbcc, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdaaae919, "iptunnel_xmit" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x87621c0f, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a680da8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x22d7bb4e, "__dynamic_netdev_dbg" },
	{ 0x6db223a4, "dst_cache_get_ip4" },
	{ 0x8abc5353, "sock_create_kern" },
	{ 0xe222f341, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8dd4511d, "metadata_dst_alloc" },
	{ 0x7e84d80e, "dst_release" },
	{ 0x45aeba94, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1d932a8d, "sock_bindtoindex" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE2A033F72E009555B376EA");
MODULE_INFO(rhelversion, "9.7");
