#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_nfit_uuid, "", "");
KSYMTAB_FUNC(acpi_nfit_ctl, "_gpl", "");
KSYMTAB_FUNC(nfit_get_smbios_id, "_gpl", "");
KSYMTAB_FUNC(__acpi_nvdimm_notify, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_desc_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_shutdown, "_gpl", "");
KSYMTAB_FUNC(__acpi_nfit_notify, "_gpl", "");

SYMBOL_CRC(to_nfit_uuid, 0x06848c60, "");
SYMBOL_CRC(acpi_nfit_ctl, 0x5cb57829, "_gpl");
SYMBOL_CRC(nfit_get_smbios_id, 0x499bbf57, "_gpl");
SYMBOL_CRC(__acpi_nvdimm_notify, 0xddc8bd88, "_gpl");
SYMBOL_CRC(acpi_nfit_init, 0x54357229, "_gpl");
SYMBOL_CRC(acpi_nfit_desc_init, 0xa75057d9, "_gpl");
SYMBOL_CRC(acpi_nfit_shutdown, 0x4639bcda, "_gpl");
SYMBOL_CRC(__acpi_nfit_notify, 0xa5cea8dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50c7e3bc, "nvdimm_region_notify" },
	{ 0x689d79d0, "mce_usable_address" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc7867820, "nd_region_provider_data" },
	{ 0x20abe572, "nvdimm_bus_add_badrange" },
	{ 0x957449da, "param_ops_ulong" },
	{ 0xa01a8d9b, "nd_cmd_bus_desc" },
	{ 0xa9eb7bd2, "devm_kmalloc" },
	{ 0x9c17117b, "to_nvdimm" },
	{ 0xf2d7d87, "mce_unregister_decode_chain" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x8e24a68b, "__nvdimm_create" },
	{ 0xc891ebbf, "to_nd_region" },
	{ 0xd8f94ad8, "nvdimm_bus_check_dimm_count" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7dc99f17, "acpi_dev_remove_notify_handler" },
	{ 0x1b074f, "mce_is_correctable" },
	{ 0xb220438f, "__dynamic_dev_dbg" },
	{ 0xd2364fd4, "kernfs_notify" },
	{ 0x96ca4151, "to_nvdimm_bus" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x91491348, "dev_driver_string" },
	{ 0xbd618fc, "__acpi_bus_register_driver" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xbaa61be1, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x99dccb3a, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0xc2c5802, "work_busy" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x66484726, "acpi_dev_install_notify_handler" },
	{ 0xb654c0ca, "to_nd_desc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xc3e192eb, "_dev_err" },
	{ 0x1ba70c27, "nd_cmd_out_size" },
	{ 0xb7c0f443, "sort" },
	{ 0xb501b2df, "nd_cmd_dimm_desc" },
	{ 0x770fd54c, "nvdimm_bus_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xc5a7067a, "kernfs_find_and_get_ns" },
	{ 0x14fd455f, "nvdimm_name" },
	{ 0x116272b0, "to_nvdimm_bus_dev" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd2899ced, "nvdimm_volatile_region_create" },
	{ 0xd6c0c7b4, "nvdimm_provider_data" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xfb578fc5, "memset" },
	{ 0x1a8e3383, "_dev_warn" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb90189b, "nvdimm_in_overwrite" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbd70c9ea, "nvdimm_to_bus" },
	{ 0xafab8c77, "nvdimm_bus_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2d3f8391, "nd_region_dev" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0xfcb62349, "nd_cmd_in_size" },
	{ 0x6790ebd3, "mce_is_memory_error" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xde927a03, "param_ops_bool" },
	{ 0x28c69fba, "acpi_bus_unregister_driver" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x6a03efe8, "kernfs_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x667bcb4b, "nvdimm_pmem_region_create" },
	{ 0xb0e65d18, "nvdimm_kobj" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb8b2b1f7, "mce_register_decode_chain" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0xd6f00bb4, "__devm_add_action" },
	{ 0xaf076aec, "nd_fletcher64" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x77358855, "iomem_resource" },
	{ 0x26119dfc, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0xe884d604, "nvdimm_cmd_mask" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");

MODULE_ALIAS("acpi*:ACPI0012:*");

MODULE_INFO(srcversion, "E9594A7790D9F1F87A70F10");
MODULE_INFO(rhelversion, "9.7");
