#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_ttm_print_info, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_mmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_dumb_map_offset, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_setup, "", "");

SYMBOL_CRC(drm_gem_ttm_print_info, 0x2d9bbedc, "");
SYMBOL_CRC(drm_gem_ttm_vmap, 0xa44b1c2d, "");
SYMBOL_CRC(drm_gem_ttm_vunmap, 0x082930e4, "");
SYMBOL_CRC(drm_gem_ttm_mmap, 0xf31c071c, "");
SYMBOL_CRC(drm_gem_ttm_dumb_map_offset, 0xab5b1ed5, "");
SYMBOL_CRC(drm_fbdev_ttm_setup, 0x29ad675d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3acb1359, "drm_client_register" },
	{ 0x15b78b3c, "try_module_get" },
	{ 0xca83220, "drm_fb_helper_init" },
	{ 0xc4ba6589, "drm_fb_helper_debug_enter" },
	{ 0x549d88ea, "drm_fb_helper_lastclose" },
	{ 0xd815cb73, "drm_fb_helper_setcmap" },
	{ 0x72599522, "drm_fb_helper_alloc_info" },
	{ 0xddd37116, "drm_helper_disable_unused_functions" },
	{ 0xf75ee0fc, "drm_fb_helper_unprepare" },
	{ 0xd3db13df, "drm_fb_helper_fini" },
	{ 0xc8f3bb52, "drm_client_framebuffer_delete" },
	{ 0xcc85101d, "drm_client_framebuffer_create" },
	{ 0x8022b376, "drm_fb_helper_deferred_io" },
	{ 0x7a6af79f, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ea3ce1b, "drm_driver_legacy_fb_format" },
	{ 0xb3b64135, "drm_fb_helper_fill_info" },
	{ 0x34fd6d2f, "fb_deferred_io_init" },
	{ 0xfbe8a75b, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91491348, "dev_driver_string" },
	{ 0x8ad2bf8e, "drm_fb_helper_hotplug_event" },
	{ 0xf24bdc2d, "drm_gem_object_lookup" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8abd0459, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xdb76e547, "sys_imageblit" },
	{ 0x3ce5af2d, "drm_fb_helper_damage_range" },
	{ 0x77cfc068, "drm_fb_helper_blank" },
	{ 0x558d2c04, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8215fe86, "drm_fb_helper_damage_area" },
	{ 0xa70e464c, "sys_fillrect" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x2e27b164, "module_put" },
	{ 0xbbfe39bd, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7ab05457, "drm_client_init" },
	{ 0x1a01342e, "drm_print_bits" },
	{ 0x76274f5f, "drm_fb_helper_prepare" },
	{ 0xc3e192eb, "_dev_err" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x626b16b2, "__drm_dev_dbg" },
	{ 0xb2e53ae, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3296035c, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xe31de1fd, "drm_client_release" },
	{ 0x89a58e75, "sys_copyarea" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcfd5d776, "fb_sys_read" },
	{ 0x49b4d293, "drm_fb_helper_debug_leave" },
	{ 0xea360460, "ttm_bo_mmap_obj" },
	{ 0x259a8409, "drm_client_buffer_vunmap_local" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x6eb6e2f5, "ttm_bo_vmap" },
	{ 0xd24efab3, "drm_client_buffer_vmap_local" },
	{ 0x3a8580b1, "drm_fb_helper_initial_config" },
	{ 0x5cc3d7ff, "drm_fb_helper_unregister_info" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x8ac66e1a, "drm_fb_helper_ioctl" },
	{ 0xeed92bde, "drm_fb_helper_set_par" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb,fb_sys_fops,sysimgblt,sysfillrect,ttm,syscopyarea");


MODULE_INFO(srcversion, "F653457A327B48F862D2EFD");
MODULE_INFO(rhelversion, "9.7");
