#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x1ebcb8c8, "");
SYMBOL_CRC(drm_gem_vram_put, 0xbf5e99e8, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xfb6763fc, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x582b1540, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x5c4f6b72, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x7db8c427, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x3eb78eca, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x2d8064a9, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x7409c9d0, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x19150d2a, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0xc8240bfb, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0xf63545c4, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xea61db4a, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xfe4a5b4d, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xc575da99, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x767497ae, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb176a648, "ttm_range_man_init_nocheck" },
	{ 0x12709468, "ww_mutex_lock_interruptible" },
	{ 0x87fedca0, "ttm_resource_manager_debug" },
	{ 0x3de94aea, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x67074c66, "ttm_range_man_fini_nocheck" },
	{ 0xe7318157, "drm_gem_object_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfd4092f8, "ttm_bo_pin" },
	{ 0x91491348, "dev_driver_string" },
	{ 0xf31c071c, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xae0050f6, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbbfe39bd, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xf866be0f, "drm_gem_object_release" },
	{ 0xeefd207c, "ttm_tt_init" },
	{ 0x876e446f, "drm_gem_handle_create" },
	{ 0x2663e6eb, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10b50548, "ttm_bo_unpin" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x139829cd, "drm_debugfs_add_files" },
	{ 0xbcce2e59, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5407beef, "ttm_device_init" },
	{ 0x25a6e086, "ttm_bo_validate" },
	{ 0xc63fc496, "ttm_bo_move_to_lru_tail" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x6eb6e2f5, "ttm_bo_vmap" },
	{ 0x9b053b02, "ttm_bo_put" },
	{ 0xff8cc275, "ttm_resource_free" },
	{ 0x6f18f487, "ttm_bo_move_memcpy" },
	{ 0x65e6682e, "ttm_tt_fini" },
	{ 0xbd15f964, "ttm_device_fini" },
	{ 0x9df0ff2c, "drm_gem_plane_helper_prepare_fb" },
	{ 0x2c4111e3, "ttm_bo_eviction_valuable" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x2d9bbedc, "drm_gem_ttm_print_info" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");
MODULE_INFO(rhelversion, "9.7");
