#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xb746bfa8, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0xf21cb769, "_gpl");
SYMBOL_CRC(stm_data_write, 0x17dc1bb4, "_gpl");
SYMBOL_CRC(stm_register_device, 0x0c152c4d, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x383ff066, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0xc7cd45ab, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x68d60c6e, "_gpl");
SYMBOL_CRC(stm_source_write, 0x5e6ff9bf, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x18f2d7c5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15b78b3c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xee79afb2, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x75b70204, "device_unregister" },
	{ 0x14c67858, "pm_runtime_set_autosuspend_delay" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xd9041b29, "vm_iomap_memory" },
	{ 0x1a8deb6, "config_item_get" },
	{ 0x57601c1b, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0x24a76e94, "synchronize_srcu" },
	{ 0xb220438f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb67808e9, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9239affa, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x41f9f61c, "put_device" },
	{ 0xa7c5ba59, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x2e27b164, "module_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8e047102, "init_srcu_struct" },
	{ 0x305201c9, "down_write" },
	{ 0x4a72c051, "up_write" },
	{ 0x2de02772, "configfs_register_subsystem" },
	{ 0xf7fe5cea, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0xfb9c4940, "__srcu_read_lock" },
	{ 0xf762e529, "config_group_init_type_name" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xd7a93c77, "class_unregister" },
	{ 0xf75722af, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfe909ed7, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x35afabc3, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x5cb04954, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd8cae0c, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x84aa366f, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x68fbb7a5, "config_item_put" },
	{ 0x90b3a48a, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd74287fd, "kobject_set_name" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x8b076a65, "device_match_name" },
	{ 0xe84c4ffd, "__srcu_read_unlock" },
	{ 0xdc73af9, "boot_cpu_data" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x3ca897dc, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x9c96c66f, "__pm_runtime_use_autosuspend" },
	{ 0x6706590d, "__pm_runtime_disable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xec4be106, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcb4b5880, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8F69BDCAFE2113ED1BC33F");
MODULE_INFO(rhelversion, "9.7");
