#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x51ada539, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x808fd7af, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x3689dff6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x61153adf, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb035adc0, "__pskb_pull_tail" },
	{ 0x52060e67, "register_netdevice" },
	{ 0x1d51ffc1, "netdev_upper_dev_link" },
	{ 0xd2913197, "netdev_upper_dev_unlink" },
	{ 0xededae8, "unregister_netdevice_queue" },
	{ 0x8dd4511d, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd5c61528, "netif_stacked_transfer_operstate" },
	{ 0x59e1dbdb, "linkwatch_fire_event" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0xc79c603b, "netdev_rx_handler_register" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x1a680da8, "skb_trim" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x9e85c6ab, "netdev_rx_handler_unregister" },
	{ 0x398664c8, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd92625d, "netif_carrier_off" },
	{ 0x9f621271, "dev_mc_unsync" },
	{ 0xa5441953, "dev_uc_unsync" },
	{ 0x76640e67, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa3fcedc4, "dev_uc_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7f5d3ee1, "netif_carrier_on" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9e735802, "genlmsg_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x23bbb4c9, "rtnl_link_register" },
	{ 0x1f90570e, "genl_register_family" },
	{ 0xb183d35b, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x358c198b, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xad89177a, "crypto_alloc_aead" },
	{ 0xcb287979, "crypto_aead_setkey" },
	{ 0x4486462e, "crypto_aead_setauthsize" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x496eb445, "skb_pull" },
	{ 0xeaf84022, "___pskb_trim" },
	{ 0x940c43f4, "ether_setup" },
	{ 0x7e84d80e, "dst_release" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0xb2062cdc, "dev_mc_sync" },
	{ 0xe115d051, "dev_uc_sync" },
	{ 0x3c2f0a83, "dev_set_allmulti" },
	{ 0x3cde2c87, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x73048f96, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x41632463, "__dev_queue_xmit" },
	{ 0x37529574, "skb_clone" },
	{ 0x6334829c, "consume_skb" },
	{ 0x6a637e7c, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x73e90ae4, "skb_to_sgvec" },
	{ 0x438438b9, "crypto_aead_decrypt" },
	{ 0x8bd081f5, "sk_skb_reason_drop" },
	{ 0x159dce0c, "skb_copy" },
	{ 0x9e74d073, "eth_type_trans" },
	{ 0x608c5d19, "gro_cells_receive" },
	{ 0xa116515, "__dev_get_by_index" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x588820c4, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe778649f, "gro_cells_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa5ecd804, "skb_push" },
	{ 0xe1f37ec9, "skb_put" },
	{ 0xccc4d5ad, "crypto_aead_encrypt" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BEAB6ED3DFD77921345193F");
MODULE_INFO(rhelversion, "9.7");
