#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x35d0490b, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x4809138f, "_gpl");
SYMBOL_CRC(wwan_create_port, 0x031cc6d4, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x5e9e7c56, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xd84b7e54, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0xff18568f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0xb07cae8c, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa2ef0c0a, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe1f37ec9, "skb_put" },
	{ 0x6ad51069, "dev_set_name" },
	{ 0x6334829c, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75b70204, "device_unregister" },
	{ 0x35e50b44, "skb_dequeue" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x1d02269, "finish_wait" },
	{ 0x23bbb4c9, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x9a40cae1, "device_for_each_child" },
	{ 0x76ac86ad, "prepare_to_wait_event" },
	{ 0xc9f6b57c, "__wake_up" },
	{ 0xc1ba43e4, "rtnl_create_link" },
	{ 0xededae8, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdcd69dd9, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8807c355, "alloc_netdev_mqs" },
	{ 0xb22fbea5, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x41f9f61c, "put_device" },
	{ 0x1dc3d0c1, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x99dccb3a, "_dev_info" },
	{ 0x9dd86f44, "skb_queue_tail" },
	{ 0x15e6b608, "rtnl_configure_link" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb183d35b, "rtnl_link_unregister" },
	{ 0xed961e5a, "init_net" },
	{ 0x496eb445, "skb_pull" },
	{ 0x8bd081f5, "sk_skb_reason_drop" },
	{ 0x5d855ca, "noop_llseek" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x4b45b8c7, "debugfs_remove" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x8c86081b, "ida_free" },
	{ 0x8f7934ea, "free_netdev" },
	{ 0xd7a93c77, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5426de2b, "class_dev_iter_init" },
	{ 0x29ffb0c8, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x41aa5f06, "__init_waitqueue_head" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x90b3a48a, "__register_chrdev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd5d49079, "stream_open" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x2938f27e, "device_find_child_by_name" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x82be5e6, "debugfs_create_dir" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xec4be106, "class_register" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x5b86631f, "skb_queue_head" },
	{ 0xcb4b5880, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x52060e67, "register_netdevice" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3549841979CC29F5D1EEDEF");
MODULE_INFO(rhelversion, "9.7");
