#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xf020b72e, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2721364f, "nvme_remove_admin_tag_set" },
	{ 0x39f3388f, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0x5aecc9ac, "nvme_uninit_ctrl" },
	{ 0x5bef39af, "ida_destroy" },
	{ 0x9be052c9, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x23365630, "nvmf_free_options" },
	{ 0xaa4b5d09, "nvmf_subsystem_reset" },
	{ 0xf7656c17, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x1d02269, "finish_wait" },
	{ 0x6b51451, "nvme_stop_keep_alive" },
	{ 0xdad4399, "blk_mq_complete_request_remote" },
	{ 0x1845577a, "dma_unmap_page_attrs" },
	{ 0x168c2f2f, "nvme_setup_cmd" },
	{ 0xbac0c6ae, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x4471c39, "nvme_alloc_admin_tag_set" },
	{ 0x6e90cc70, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x76ac86ad, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x98fa531, "nvmf_reg_read32" },
	{ 0xc9f6b57c, "__wake_up" },
	{ 0xb45da557, "nvme_delete_ctrl" },
	{ 0xb4b054b, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x91491348, "dev_driver_string" },
	{ 0xa897d1f4, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc6a67ecd, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x20acc99e, "nvme_remove_io_tag_set" },
	{ 0xaa11ccb4, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xad7ef16d, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x77f799d6, "nvmf_unregister_transport" },
	{ 0x3b29d280, "blkcg_get_fc_appid" },
	{ 0x41f9f61c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa53bad30, "nvme_change_ctrl_state" },
	{ 0x99dccb3a, "_dev_info" },
	{ 0xd8305773, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb28888c3, "nvme_alloc_io_tag_set" },
	{ 0xd6a14888, "nvme_fail_nonready_command" },
	{ 0xe382fd9b, "kobject_uevent_env" },
	{ 0x1e6f4ff7, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc3e192eb, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x29363294, "device_create" },
	{ 0x3e3b024c, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x57aefd54, "__blk_rq_map_sg" },
	{ 0x8c86081b, "ida_free" },
	{ 0xb6ea7f5, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7a93c77, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3ebd51be, "nvmf_connect_admin_queue" },
	{ 0xce6bb3af, "nvme_enable_ctrl" },
	{ 0x58562b6b, "nvme_unquiesce_admin_queue" },
	{ 0x1a8e3383, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x41aa5f06, "__init_waitqueue_head" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x596d14ba, "nvme_unquiesce_io_queues" },
	{ 0x64a5ebc2, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe1b6f276, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x94dc3ac1, "nvmf_should_reconnect" },
	{ 0x8b46dfa2, "__dma_sync_single_for_device" },
	{ 0xbccf218c, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf2dd7165, "device_destroy" },
	{ 0x477f511c, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x19f53ea4, "nvmf_register_transport" },
	{ 0xb98184e9, "blk_mq_start_request" },
	{ 0x7cdddfd6, "nvme_quiesce_io_queues" },
	{ 0x383e4a13, "blk_mq_tagset_busy_iter" },
	{ 0x16df1bb, "nvme_stop_ctrl" },
	{ 0x5d4bd63e, "dma_unmap_sg_attrs" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x59050797, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xa7e172aa, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x9da83148, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xec4be106, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xec23ddb0, "__nvme_check_ready" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x5a9d5594, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x641dee6b, "nvme_add_ctrl" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "E9658AAA34FF88932A60A80");
MODULE_INFO(rhelversion, "9.7");
