#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0xdc5015f2, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x3348e807, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0xb3eae9fa, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x47869b30, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0xb35e7096, "_gpl");
SYMBOL_CRC(vhost_has_work, 0x575d2b74, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x8d83e5c0, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x285224d2, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x50b0256f, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x52b80df6, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x6a68bd74, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xa1e8eafe, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x2aae4e54, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x8501b4a8, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x186dc544, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x8a1a2593, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x21cbd2f6, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0xdc1fa057, "");
SYMBOL_CRC(vhost_chr_poll, 0xc46b0e44, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x9642e19f, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xa284cc23, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x40c5d05d, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x0e49b15e, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0xaa90bb0d, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x16733e29, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x579956bb, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x9c5df0eb, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x48be84d6, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0xd8087040, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0xa177852f, "_gpl");
SYMBOL_CRC(vhost_add_used, 0xda9b7369, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0xbce4016e, "_gpl");
SYMBOL_CRC(vhost_signal, 0x89c6675b, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0xb895fc06, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x9491d8a5, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x1e3cab71, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x79982746, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x09c91fa4, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x3f5f6f05, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x9db78975, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x9381892f, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xd546be70, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaf9aebcf, "add_wait_queue" },
	{ 0xdea77ef4, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0x40870cd7, "cgroup_attach_task_all" },
	{ 0xc0c369dc, "mmput" },
	{ 0x9608e1c6, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xc9f6b57c, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xd20db6b, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xf8498dd7, "unpin_user_pages_dirty_lock" },
	{ 0x13cb5e52, "pin_user_pages_fast" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xeb863901, "kthread_use_mm" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1000e51, "schedule" },
	{ 0x12df08bc, "kthread_unuse_mm" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x6b19e865, "fput" },
	{ 0x97f94c50, "kthread_stop" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x85586611, "iov_iter_init" },
	{ 0xfea4432e, "_copy_from_iter" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5a9a1213, "iov_iter_revert" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x7d3ac056, "_copy_to_iter" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x41aa5f06, "__init_waitqueue_head" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9f70b7fa, "prepare_to_wait" },
	{ 0x1d02269, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf6780ec0, "get_task_mm" },
	{ 0x67b6ec63, "kthread_create_on_node" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x6ef40262, "iov_iter_advance" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc0c3c715, "eventfd_fget" },
	{ 0x26119dfc, "param_ops_int" },
	{ 0xb3d97236, "param_ops_ushort" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.7");
