#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0x63f85c68, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x33d42b0e, "");
SYMBOL_CRC(fscache_acquire_cache, 0xc1cd7be6, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x55dcd137, "");
SYMBOL_CRC(fscache_add_cache, 0x36e20f70, "");
SYMBOL_CRC(fscache_io_error, 0xc745fdba, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x76bb162f, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x4d3d3d71, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x3d7b6d77, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x952ff9f8, "");
SYMBOL_CRC(fscache_caching_failed, 0xb1424982, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xde5f1b2e, "");
SYMBOL_CRC(__fscache_use_cookie, 0x37f63cac, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x0cb670ba, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x818af126, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x2d068272, "");
SYMBOL_CRC(fscache_put_cookie, 0xa5b64466, "");
SYMBOL_CRC(fscache_get_cookie, 0x3c215950, "");
SYMBOL_CRC(__fscache_invalidate, 0x949228e7, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x48f6cbb3, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x883b7c48, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xfd8c3c0b, "");
SYMBOL_CRC(fscache_dirty_folio, 0xc6d7e621, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x77e0e7a5, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xe2849223, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x7bbbc4dd, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0xc638ccf7, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x77f24504, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x66a1b044, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x42a4d96b, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x485b04b3, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0xdfc20ffc, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x1780ace5, "");
SYMBOL_CRC(fscache_end_volume_access, 0xb38ec4be, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x7216ea8c, "");
SYMBOL_CRC(fscache_put_volume, 0x56bdf9fd, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x33a78e5e, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x2bb371dd, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf6bed2f4, "bpf_trace_run4" },
	{ 0xaae09c23, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5d9daa94, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x1d02269, "finish_wait" },
	{ 0xeb5027eb, "trace_event_printf" },
	{ 0xaa819726, "xas_find" },
	{ 0x2bae4bd0, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0x17fdd0e1, "netfs_stats_show" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x96196f77, "bpf_trace_run2" },
	{ 0x76ac86ad, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x1a3e2a4f, "remove_proc_subtree" },
	{ 0x219035fe, "event_triggers_call" },
	{ 0x54b0ab91, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe111e3c4, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xeba4081e, "trace_event_ignore_this_pid" },
	{ 0x873ef30c, "rt_write_unlock" },
	{ 0xd660dc5f, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xe15d4d82, "__var_waitqueue" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8322e822, "perf_trace_run_bpf_submit" },
	{ 0x305201c9, "down_write" },
	{ 0x4a72c051, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb07fc701, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff9bcf73, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x92fe3ebb, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x3cea71e, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc4ac7166, "proc_mkdir" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3268aa6a, "folio_end_private_2" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa1ec1ca4, "down_read" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe50aef19, "bpf_trace_run3" },
	{ 0x4775670e, "rt_read_lock" },
	{ 0x759ba997, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc5bd6ebc, "rt_read_unlock" },
	{ 0x502c98a, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfa6da03c, "seq_printf" },
	{ 0x2c27a1a0, "rt_write_lock" },
	{ 0x3eb31432, "filemap_dirty_folio" },
	{ 0x4fc0f77e, "seq_puts" },
	{ 0x67b5a2f2, "iov_iter_xarray" },
	{ 0x4790d79, "proc_create_single_data" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xac5e730b, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb772c2f, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x95866a41, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "F1A7D48A931551A9DD3AC79");
MODULE_INFO(rhelversion, "9.7");
