#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x1d781464, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x00756b35, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x577951f2, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x4ac3e3b2, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xe0c06893, "");
SYMBOL_CRC(fuse_abort_conn, 0x07c0af94, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x85ead804, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x98011254, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xa7db7fc4, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xc53150cc, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x1a4ac994, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xf69afa21, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x41eb4910, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x1ee730b1, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xc12069f1, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xe998c0e2, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xd57613f0, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x5b9d7f66, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x3e2ff093, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xe17a416a, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xc15a0ed0, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x7e49daf8, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x0f8523ab, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x0e3b1c1b, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x8bbe764d, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x8938bbb8, "");
SYMBOL_CRC(fuse_do_ioctl, 0x0a70d2e9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf186f94d, "super_setup_bdi_name" },
	{ 0xb91b6fb9, "posix_test_lock" },
	{ 0xb55b2649, "truncate_inode_pages" },
	{ 0xf184748e, "generic_copy_file_range" },
	{ 0x9ebdef5a, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0xba64dc9b, "pipe_lock" },
	{ 0xa67c5b7f, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x446690ab, "vfs_fsync_range" },
	{ 0x4736e9da, "setattr_prepare" },
	{ 0xbeb4ab99, "clear_nlink" },
	{ 0xe5f872e1, "file_check_and_advance_wb_err" },
	{ 0xd9d094c, "d_alloc_parallel" },
	{ 0xd0899e7a, "__init_rwsem" },
	{ 0xa45ff6c4, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xdfb67f59, "misc_deregister" },
	{ 0x8bc4711a, "make_vfsgid" },
	{ 0xa5174fc2, "clear_inode" },
	{ 0xef3c4bc0, "inode_to_bdi" },
	{ 0x41cfbd6d, "find_pid_ns" },
	{ 0xa635ef9c, "grab_cache_page_write_begin" },
	{ 0xf2779f6e, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2295165b, "pipe_unlock" },
	{ 0x1a87fd24, "fs_param_is_string" },
	{ 0x3dc0ecd7, "folio_unlock" },
	{ 0x8d8bded6, "generic_file_splice_read" },
	{ 0xf1fe8f68, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0x7ba492e3, "filemap_map_pages" },
	{ 0x403a9cc5, "dump_page" },
	{ 0xfb3207e8, "forget_all_cached_acls" },
	{ 0x8fc3774c, "init_special_inode" },
	{ 0xfd66105, "unregister_filesystem" },
	{ 0xfdeb5741, "task_active_pid_ns" },
	{ 0x3e539132, "iov_iter_single_seg_count" },
	{ 0x2b892679, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x1d02269, "finish_wait" },
	{ 0x12a8167e, "d_alloc_name" },
	{ 0x7164ffee, "replace_page_cache_folio" },
	{ 0x317a3def, "inode_query_iversion" },
	{ 0x6ef40262, "iov_iter_advance" },
	{ 0xf341303a, "kill_fasync" },
	{ 0x53c42037, "d_make_root" },
	{ 0x45a7685f, "sb_set_blocksize" },
	{ 0x3a22fbb3, "fget" },
	{ 0x7a40c3b4, "simple_fill_super" },
	{ 0xaa819726, "xas_find" },
	{ 0x7cdc37e6, "invalidate_mapping_pages" },
	{ 0xce4614c4, "sync_filesystem" },
	{ 0xfe7c0659, "sget_fc" },
	{ 0xdab9ea22, "param_set_uint" },
	{ 0x679ff112, "d_splice_alias" },
	{ 0x9638b193, "iov_iter_get_pages2" },
	{ 0xb8fb7994, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa5df1c90, "page_get_link" },
	{ 0x32c76488, "generic_permission" },
	{ 0xd2767c9c, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xae316ace, "invalidate_inode_pages2_range" },
	{ 0xdfde4e70, "posix_lock_file" },
	{ 0xb5ba988e, "finish_open" },
	{ 0x685f7c89, "iput" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xe33d6922, "logfc" },
	{ 0xba5b0d37, "iter_file_splice_write" },
	{ 0x76ac86ad, "prepare_to_wait_event" },
	{ 0x34bed68b, "init_pid_ns" },
	{ 0x85586611, "iov_iter_init" },
	{ 0x94f96d91, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x80c3889a, "sysfs_create_mount_point" },
	{ 0xd5a95f7, "generic_file_write_iter" },
	{ 0xc9f6b57c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x24c77bcf, "register_filesystem" },
	{ 0x54b0ab91, "kmem_cache_create" },
	{ 0x78075088, "folio_add_lru" },
	{ 0xda12fdda, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x3f93a806, "sync_inode_metadata" },
	{ 0xcee9d94d, "simple_empty" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb0721ebc, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x192c8795, "shrink_dcache_parent" },
	{ 0xf86c87bf, "get_tree_nodev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x386f718b, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb55a5613, "fs_param_is_u32" },
	{ 0xe65387c3, "inode_newsize_ok" },
	{ 0x4b617b3f, "d_drop" },
	{ 0x1eedca16, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xe5af627f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x6e5cd6b0, "bdi_put" },
	{ 0xb79dbfd8, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x5df6712, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x78ef67f4, "make_kuid" },
	{ 0xd0f04dda, "truncate_inode_pages_final" },
	{ 0x411bf207, "fs_kobj" },
	{ 0x8cf13a7b, "__filemap_set_wb_err" },
	{ 0xb108f0aa, "simple_dir_operations" },
	{ 0x69231d4f, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x13489f93, "__free_pages" },
	{ 0xd660dc5f, "kmem_cache_alloc" },
	{ 0x8c672af, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x1a163417, "setattr_should_drop_suidgid" },
	{ 0xd76e0c49, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xaa0b1000, "copy_page_from_iter_atomic" },
	{ 0x94e1d09b, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xdc6e4807, "inode_init_once" },
	{ 0xf6fdb90f, "file_write_and_wait_range" },
	{ 0x7efde75e, "nosteal_pipe_buf_ops" },
	{ 0x2f8b55db, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x73dcc825, "inode_nohighmem" },
	{ 0xbb73134, "release_pages" },
	{ 0xd8a3b370, "generic_file_direct_write" },
	{ 0x49608959, "migrate_disable" },
	{ 0x6b19e865, "fput" },
	{ 0x305201c9, "down_write" },
	{ 0x4a72c051, "up_write" },
	{ 0xd4f4649a, "generic_file_read_iter" },
	{ 0x1384403, "inode_maybe_inc_iversion" },
	{ 0xa679065d, "unlock_page" },
	{ 0x1ea5a6c3, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0xaa284c08, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x18bf6422, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xbedc5cdc, "dec_node_page_state" },
	{ 0xada67f0b, "write_cache_pages" },
	{ 0xb409d755, "file_update_time" },
	{ 0x12c757f5, "set_nlink" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xff9bcf73, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x1abbebad, "from_kgid" },
	{ 0xb365ef60, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4563e7c2, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xfb58610d, "write_inode_now" },
	{ 0x6ade8722, "d_obtain_alias" },
	{ 0x54fdb295, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x1b982e40, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x5a02b1e7, "finish_no_open" },
	{ 0x579fd13c, "__folio_start_writeback" },
	{ 0x5040c3ac, "kill_litter_super" },
	{ 0x612c4667, "folio_end_writeback" },
	{ 0xcbe1374d, "from_kuid" },
	{ 0x1698a896, "current_in_userns" },
	{ 0xe731ad8c, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xe57916d4, "sysfs_remove_mount_point" },
	{ 0x421a49e9, "misc_register" },
	{ 0xfce23af, "__alloc_pages" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x41aa5f06, "__init_waitqueue_head" },
	{ 0x8e8e0f6a, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xbf558a29, "d_delete" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x9beb09b7, "from_kgid_munged" },
	{ 0xd2c8a53e, "end_page_writeback" },
	{ 0xf3ecf2a1, "kobject_create_and_add" },
	{ 0xa1ec1ca4, "down_read" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x3feff053, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5cb04954, "nonseekable_open" },
	{ 0x76f046ba, "set_page_dirty" },
	{ 0x69a1cadc, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcf0a6e8e, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2f15be70, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x15485480, "generic_read_dir" },
	{ 0xef422571, "d_add" },
	{ 0xe89ecd34, "set_page_writeback" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x26aecb40, "init_user_ns" },
	{ 0x79b12234, "d_find_alias" },
	{ 0xdc30b801, "invalidate_inode_pages2" },
	{ 0x494d2fd6, "inc_nlink" },
	{ 0x812e018e, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xca0dd708, "get_tree_bdev" },
	{ 0x95731e3a, "set_anon_super_fc" },
	{ 0xfa6da03c, "seq_printf" },
	{ 0x75a5b99, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x2a6a5603, "generic_delete_inode" },
	{ 0x179521c, "deactivate_locked_super" },
	{ 0x8f14c340, "touch_atime" },
	{ 0xe7ce5f69, "__d_lookup_unhash_wake" },
	{ 0xddbcff2e, "set_page_dirty_lock" },
	{ 0xb9d4bb0a, "pid_nr_ns" },
	{ 0x281ce3b4, "generic_file_open" },
	{ 0x3901af23, "truncate_inode_pages_range" },
	{ 0x9df5a918, "__put_user_ns" },
	{ 0x4de2eddf, "__folio_lock" },
	{ 0x3eb31432, "filemap_dirty_folio" },
	{ 0xf3c34fa3, "pagecache_get_page" },
	{ 0x4fc0f77e, "seq_puts" },
	{ 0xd5d49079, "stream_open" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x7e972095, "__wake_up_sync" },
	{ 0x19fb9768, "add_to_pipe" },
	{ 0xa6a03a15, "__fs_parse" },
	{ 0xfb223590, "posix_acl_to_xattr" },
	{ 0xca711d72, "dget_parent" },
	{ 0x8efa52e1, "kill_anon_super" },
	{ 0xfcc865b8, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x6399bba8, "iget5_locked" },
	{ 0x797f6011, "security_dentry_init_security" },
	{ 0xb97db35d, "filemap_write_and_wait_range" },
	{ 0x4f7405ee, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x4bfb599a, "generic_write_checks" },
	{ 0x5a9a1213, "iov_iter_revert" },
	{ 0x149fa0d5, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdd5d6edc, "mntget" },
	{ 0xf1770d0f, "kmem_cache_alloc_lru" },
	{ 0xc001a8e4, "filemap_fault" },
	{ 0x5cc44c21, "d_invalidate" },
	{ 0xf09d577f, "__mark_inode_dirty" },
	{ 0xd9276d1c, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xeb772c2f, "up_read" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xfadff0f4, "iov_iter_npages" },
	{ 0x2068013b, "drop_nlink" },
	{ 0xeef14378, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x5e227669, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0xeeaa52c, "bdi_set_max_ratio" },
	{ 0x95866a41, "kmem_cache_destroy" },
	{ 0x30ac3aee, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7DBF81E138208D31B51FCD0");
MODULE_INFO(rhelversion, "9.7");
