#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x6b8c4635, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x62d09bcc, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x10ccca9e, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x4bc77de5, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x4f0ef733, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x2231a15a, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x823afb54, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x1d13338b, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xae655b7e, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x6fadc449, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x02929220, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0x1a88c2fe, "register_pernet_subsys" },
	{ 0xfa6da03c, "seq_printf" },
	{ 0x4fc0f77e, "seq_puts" },
	{ 0xda7b41b8, "unregister_pernet_subsys" },
	{ 0xf5df284b, "nf_register_net_hooks" },
	{ 0x5e4f2caf, "nf_unregister_net_hooks" },
	{ 0x6ec950a2, "skb_ensure_writable" },
	{ 0x118641e3, "inet_proto_csum_replace4" },
	{ 0x95926506, "ip_route_me_harder" },
	{ 0xa620dcd2, "ip_local_out" },
	{ 0x8bd081f5, "sk_skb_reason_drop" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xfffa845c, "nf_ipv6_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xef275005, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x755e14c, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x502c98a, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x379367b9, "nf_ct_tmpl_alloc" },
	{ 0xa1b72dcd, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x815a0e21, "proc_create_net_data" },
	{ 0x6cf508d8, "nf_ct_tmpl_free" },
	{ 0x4df34c83, "__nf_ct_ext_find" },
	{ 0x1dc3d0c1, "__alloc_skb" },
	{ 0xe1f37ec9, "skb_put" },
	{ 0x7616ccc5, "ipv6_skip_exthdr" },
	{ 0x80b41ee4, "nf_ct_seqadj_init" },
	{ 0x6334829c, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "4F2F5B6C696A3F7E7689CE8");
MODULE_INFO(rhelversion, "9.7");
