#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nft_do_chain, "_gpl", "");
KSYMTAB_FUNC(nft_request_module, "_gpl", "");
KSYMTAB_FUNC(nft_register_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_register_expr, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_expr, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate, "_gpl", "");
KSYMTAB_FUNC(nft_set_lookup_global, "_gpl", "");
KSYMTAB_FUNC(nf_tables_bind_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_activate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_destroy_set, "_gpl", "");
KSYMTAB_FUNC(nft_set_elem_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_set_catchall_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_register_obj, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_obj, "_gpl", "");
KSYMTAB_FUNC(nft_obj_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_obj_notify, "_gpl", "");
KSYMTAB_FUNC(nft_register_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_flowtable_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_flowtable, "_gpl", "");
KSYMTAB_FUNC(nf_tables_trans_destroy_flush_work, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_dependency, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_hooks, "_gpl", "");
KSYMTAB_FUNC(nft_parse_u32_check, "_gpl", "");
KSYMTAB_FUNC(nft_dump_register, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_load, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_store, "_gpl", "");
KSYMTAB_FUNC(nft_data_init, "_gpl", "");
KSYMTAB_FUNC(nft_data_release, "_gpl", "");
KSYMTAB_FUNC(nft_data_dump, "_gpl", "");
KSYMTAB_FUNC(__nft_release_basechain, "_gpl", "");
KSYMTAB_DATA(nft_trace_enabled, "_gpl", "");
KSYMTAB_FUNC(nft_set_do_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_eval, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_eval, "_gpl", "");
KSYMTAB_DATA(nft_meta_policy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_validate, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_inner_eval, "_gpl", "");

SYMBOL_CRC(nft_do_chain, 0xe35f1f0e, "_gpl");
SYMBOL_CRC(nft_request_module, 0x5d095a63, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0x1174156a, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0xd63d0023, "_gpl");
SYMBOL_CRC(nft_register_expr, 0xb1d5f937, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0x6ce53edf, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0xbbbe1af7, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0x5db759d8, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0x5f5c17e7, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0xac2bb2ea, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0xa5fe37e9, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0xc2a88eb1, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0x57fe01d2, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0x4dd0c836, "_gpl");
SYMBOL_CRC(nft_register_obj, 0x2de52601, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0xcf210b0a, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0x2a4cf758, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0x72881f4f, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0xbabff465, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0xfab69d0f, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0x529b6c75, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x517ac0de, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0xe89f0b30, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0xdfb921a4, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0x72634729, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0xb09a01a3, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0xe2b8cc13, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0x655e2c8e, "_gpl");
SYMBOL_CRC(nft_data_init, 0xc27a97d3, "_gpl");
SYMBOL_CRC(nft_data_release, 0x31914283, "_gpl");
SYMBOL_CRC(nft_data_dump, 0xc2f415b1, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0x60ec5031, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_set_do_lookup, 0xcef6152e, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0xc9b0ea81, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0x8c91ef34, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xb4e0fdb6, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0xd78af81d, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0x102136d7, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0xd62dc539, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0x70c5a2be, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0x03dece57, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0x33acf0bd, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0xf7d011e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b389308, "__do_once_done" },
	{ 0x7304656f, "__netlink_dump_start" },
	{ 0xb016489b, "flow_rule_alloc" },
	{ 0x15b78b3c, "try_module_get" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0x755e14c, "skb_copy_bits" },
	{ 0xa2ef0c0a, "__nlmsg_put" },
	{ 0xe1f37ec9, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcb9a4010, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x5e04a8e7, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0x965f49f3, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x42b01824, "nfnetlink_subsys_register" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x3bbed0f4, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x55c0b765, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xbbfeac2e, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x27c6a60, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1a88c2fe, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x167e7983, "__ip_options_compile" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x3dd96d48, "nf_route" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0xa916b694, "strnlen" },
	{ 0x1dc3d0c1, "__alloc_skb" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0xfffa845c, "nf_ipv6_ops" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x873ef30c, "rt_write_unlock" },
	{ 0x2e27b164, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4dd5548c, "nf_unregister_net_hook" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x7f241687, "nf_register_net_hook" },
	{ 0x81105b92, "__skb_get_hash_net" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8bd081f5, "sk_skb_reason_drop" },
	{ 0x95926506, "ip_route_me_harder" },
	{ 0xd343ae06, "skb_store_bits" },
	{ 0xc99bf78, "dev_get_by_index_rcu" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x2a4fc034, "nfnetlink_unicast" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6ec950a2, "skb_ensure_writable" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaf1978cd, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x58580dfd, "flow_indr_dev_setup_offload" },
	{ 0x7ebf1d3, "rhashtable_walk_stop" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xda7b41b8, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf42d3271, "rhashtable_free_and_destroy" },
	{ 0x686ff73, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0x441c5851, "rht_bucket_nested_insert" },
	{ 0x3faae441, "nfnetlink_send" },
	{ 0xfe909ed7, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb035adc0, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe292241e, "nfnetlink_subsys_unregister" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x9beb09b7, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1a680da8, "skb_trim" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xbf8dcca5, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x7d4b6caf, "rhashtable_insert_slow" },
	{ 0x9e263948, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x4775670e, "rt_read_lock" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x27ad9528, "ipv4_mtu" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0x279068b1, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x118641e3, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc5bd6ebc, "rt_read_unlock" },
	{ 0x505feb3a, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x7e84d80e, "dst_release" },
	{ 0x2c27a1a0, "rt_write_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xdc73af9, "boot_cpu_data" },
	{ 0x42f5e63c, "rhashtable_walk_next" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xfcc865b8, "from_kuid_munged" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x97eb121f, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xabbd1a14, "nfnetlink_has_listeners" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "4367CE0A42B0E8D97DBB3BC");
MODULE_INFO(rhelversion, "9.7");
