#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0xb7b59941, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x09ffa63b, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x80db0320, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0xa89cffcc, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x46890722, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x78aa6279, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xad802c88, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x559dc259, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x659e4753, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x5459224b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x279c16b8, "snd_soc_dapm_put_enum_double" },
	{ 0xb1f63f74, "gpiod_get_value_cansleep" },
	{ 0x500b7ad1, "regcache_cache_only" },
	{ 0x2d4592cb, "is_acpi_device_node" },
	{ 0x28ab4bd5, "gpiod_put" },
	{ 0x45b3274, "regcache_sync" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x9a706a57, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x14c67858, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x293ea0eb, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x91c177e7, "acpi_dev_add_driver_gpios" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd9cf14a2, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x99c01111, "devm_gpiod_get_optional" },
	{ 0x65a8c845, "wm_adsp_stop" },
	{ 0xb220438f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9e8e1663, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9239affa, "__pm_runtime_set_status" },
	{ 0xc3ea9aa4, "devm_snd_soc_register_component" },
	{ 0x2fbc0c29, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf031b325, "sdw_write_no_pm" },
	{ 0x857b5bac, "devm_free_irq" },
	{ 0xa7c5ba59, "pm_runtime_enable" },
	{ 0x1b5d71ae, "fwnode_gpiod_get_index" },
	{ 0x99dccb3a, "_dev_info" },
	{ 0x62a57743, "acpi_dev_remove_driver_gpios" },
	{ 0x548f333b, "snd_soc_info_volsw" },
	{ 0x61833f48, "cs35l56_init_cs_dsp" },
	{ 0x8b16567c, "wm_adsp_power_down" },
	{ 0xc3e192eb, "_dev_err" },
	{ 0xe931a625, "debugfs_create_bool" },
	{ 0x8eb31053, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x871fedaa, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x6de7c09d, "cs35l56_runtime_suspend_common" },
	{ 0x75b93734, "sdw_read_no_pm" },
	{ 0xf4891c3b, "cs35l56_mbox_send" },
	{ 0x24a19cdc, "cs35l56_hw_init" },
	{ 0x1a8e3383, "_dev_warn" },
	{ 0xe08e0a91, "wm_adsp2_component_probe" },
	{ 0xc4024c22, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2ad15369, "cs35l56_system_reset" },
	{ 0xaecd1727, "snd_soc_info_enum_double" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc4a1a049, "wm_adsp2_component_remove" },
	{ 0x53ebd659, "cs35l56_wait_for_firmware_boot" },
	{ 0xdf5bbb8b, "devm_kasprintf" },
	{ 0xf5f4f960, "snd_soc_get_volsw" },
	{ 0xd418f979, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xa52a4828, "fwnode_property_present" },
	{ 0x3ab827d7, "cs35l56_is_fw_reload_needed" },
	{ 0x1919841f, "regmap_read" },
	{ 0xaa19686, "snd_soc_put_volsw" },
	{ 0x84aa366f, "__pm_runtime_resume" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xc0f4d9ba, "cs_amp_write_cal_coeffs" },
	{ 0x39299a6d, "device_get_named_child_node" },
	{ 0x6ac10e27, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5d8ea40, "sdw_stream_remove_slave" },
	{ 0x89ae5c8f, "cs35l56_runtime_resume_common" },
	{ 0xf89fb562, "dapm_regulator_event" },
	{ 0x231601f5, "cs35l56_get_speaker_id" },
	{ 0xad912cb0, "wm_adsp_run" },
	{ 0xb0d81706, "regmap_update_bits_base" },
	{ 0x223a23aa, "acpi_dev_get_property" },
	{ 0x30a78fc0, "dev_err_probe" },
	{ 0x3ca897dc, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0xd6f00bb4, "__devm_add_action" },
	{ 0x4b0ca98, "snd_soc_dapm_get_enum_double" },
	{ 0x9c96c66f, "__pm_runtime_use_autosuspend" },
	{ 0xf32b37b7, "wm_halo_init" },
	{ 0x6706590d, "__pm_runtime_disable" },
	{ 0xf6092434, "cs35l56_firmware_shutdown" },
	{ 0x8b4d298b, "sdw_stream_add_slave" },
	{ 0x4ad3462d, "pm_runtime_force_suspend" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x2316369d, "wm_adsp_power_up" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-cs35l56-shared,snd-soc-wm-adsp,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "FF33D1AD1F5B645A51FA6C2");
MODULE_INFO(rhelversion, "9.7");
